nVidia driver activated and apparently being used but reported as not being used by jockey-gtk

Bug #771788 reported by Walter Garcia-Fontes
This bug affects 298 people
Affects Status Importance Assigned to Milestone
Jockey
Undecided
Unassigned
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-common (Ubuntu)
Medium
Alberto Milone
nvidia-graphics-drivers-173 (Ubuntu)
Undecided
Unassigned

Bug Description

I'm running Unity without major issues and apparently using the nvidia proprietary current driver, but in System Settings -> Hardware -> Additional driver the nvidia driver shows as activated but not being used.

I'm attaching xorg.conf, I also use a dual monitor setup but I think this is not relevant.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: jockey-gtk 0.9.2-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Wed Apr 27 14:43:31 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Dell Inc. Precision WorkStation T3400
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/tcsh
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=dadc68cb-c217-4aef-a751-ba0b61137c4a ro quiet splash vt.handoff=7
SourcePackage: jockey
UpgradeStatus: Upgraded to natty on 2011-04-01 (26 days ago)
dmi.bios.date: 06/04/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A09
dmi.board.name: 0TP412
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 7
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA09:bd06/04/2009:svnDellInc.:pnPrecisionWorkStationT3400:pvr:rvnDellInc.:rn0TP412:rvr:cvnDellInc.:ct7:cvr:
dmi.product.name: Precision WorkStation T3400
dmi.sys.vendor: Dell Inc.

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :
Revision history for this message
Victor Zamanian (victorz) wrote :

Confirmed.

The driver seems to be in use; Unity starts up etc, and seems accelerated. I can't be sure though since I don't know how to assert which driver is currently being used.

I have an NVidia GeForce GTX 580 and installed Ubuntu 11.04 today.

Revision history for this message
Hotteterre (luca-rossetto) wrote :

I confirm the bug: with NVidia GeForce GT 120M on Ubuntu Natty x86_64 (upgraded from Maverick Desktop) all seems to work, but the proprietary driver appears as activated but not being used.

Revision history for this message
Hansen (moteprime) wrote :

I also have this problem using Nvidia (EN) 8400GS, Natty desktop i386
"Additional Drivers" Shows "This driver is activated but not currently in use", I have tried both "(Version 173)" and "(Version current) [Recommended]".
I have full Unity desktop, and "Nvidia X server Settings" program seems to be connected to graphics adapter.
lspci: 03:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev a1)

Revision history for this message
Pako (elektrobank01) wrote :

Here is the output from "sudo lshw -C display"

*-display
       description: VGA compatible controller
       product: G72M [Quadro NVS 110M/GeForce Go 7300]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:c9000000-c9ffffff memory:d0000000-dfffffff memory:ca000000-caffffff

It seems that the driver is installed and in use, but Unity doesn't work.

Revision history for this message
Alan Lord (theopensourcerer) wrote :

Same issue but I do have a running unity. After upgrading from 10.10 if I log in not changing from the unity desktop, the background wallpaper displays but nothing else. A completely blank screen...

  *-display
       description: VGA compatible controller
       product: NV37GL [Quadro FX 330/GeForce PCX 5300]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a2
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:18 memory:d0000000-d0ffffff memory:c0000000-cfffffff memory:d1000000-d1ffffff memory:d2000000-d201ffff

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

Can anybody that is experiencing this same bug, the users in #2 or #3 for instance, mark it as "Confirmed"? I can't do it myself as I'm the reporter of the bug.

Revision history for this message
Bryce Hardy (cygniapolis) wrote :

Same problem here:

VGA compatible controller: nVidia Corporation G98 [GeForce 9300M GS] (rev a1)
All "yes" output from "/usr/lib/nux/unity_support_test -p"

"Driver Activated But Not Currently In Use"
Using "Current" driver. Also same result with older "173" driver.
No advantage in logging into "Classic" desktop. Same problem.
No advantage in fresh-installing Xubuntu 11.04. Same problem.

Although videos play, even simple games freeze and die. Otherwise the Unity desktop is functional but appears laggy and slow.
Open source "experimental" drivers are NOT a solution. Games still won't play.

andreas (andreas-demey)
Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
Revision history for this message
Pako (elektrobank01) wrote :

Here is the output from /usr/lib/nux/unity_support_test -p

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce Go 7300/PCI/SSE2
OpenGL version string: 2.1.2 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: no
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: no

It says my card is blacklisted. Although it works quite normal with the experimental driver but with "unity --replace" command only, a bit strange bug.

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

On the contrary, unity_support_test -p gives me an entirely positive output:

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8400 GS/PCI/SSE2
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

Revision history for this message
dre (pewbeng-googlemail) wrote :

(Apologies - misclicked and don't know where and/or how to rectify.)

Changed in jockey:
status: New → Confirmed
Changed in jockey (Ubuntu):
status: New → Confirmed
Revision history for this message
Forlong (forlong) wrote :

I just ran some checks and stumbled across this:

$ grep drv\.so /var/log/Xorg.0.log
[ 19390.727] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 19390.727] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 19390.728] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 19390.729] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 19390.819] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so

As I remember correctly, up to natty there was only the nvidia-driver loaded.
I have no idea why both the nouveau as well as the vesa driver are loaded too now.

I guess Jockey checks /var/log/Xorg.0.log to detect what driver is in use and is confused that three different video drivers are loaded.

Full xorg log attached.

tags: removed: amd64
Revision history for this message
useResa (rdrijsen) wrote :

Opposed to what Forlong states in post #12 I only have nVidia loaded:

$ grep drv\.so /var/log/Xorg.0.log
[ 43.835] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 43.983] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 47.174] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.228] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.261] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.265] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.276] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.298] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.312] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 47.329] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[ 47.344] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[ 47.511] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

In my case it is (I assume) because of the same reason as posted by Pako, have the same result with lshw -C display, in post #9:
$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce Go 7300/PCI/SSE2
OpenGL version string: 2.1.2 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: no
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: no

Revision history for this message
Pako (elektrobank01) wrote :

useResa, our graphic cards are blacklisted. Please see Bug #726496

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

But mine, GeForce 8400 GS/PCI/SSE2 is not! Source: unity_support_test -p (see above for complete results).

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

P.S.: no advantage with 173 driver, while the experimental simply crashes the system at boot.

Revision history for this message
Pako (elektrobank01) wrote :

Yes, it's a completely different bug. Apologize for my post here.

Revision history for this message
modprobe (modprobe) wrote :

Same bug here with Natty using GeForce 9300M GS: activated but not in use.

Revision history for this message
Craig Ziesman (radiofreedenver) wrote :

I am running Ubuntu Classic, not Unity, but I have the same situation with slightly different system information:

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTS 450/PCI/SSE2
OpenGL version string: 4.1.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

$ grep drv\.so /var/log/Xorg.0.log
[ 15452.731] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 15452.738] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 15453.299] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 15453.299] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 15453.304] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 15453.319] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 15453.323] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 15453.325] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

$ lshw
     *-pci:0
        *-pci:0
           *-display
                description: VGA compatible controller
                product: GF106 [GeForce 450 GTS]
                vendor: nVidia Corporation
                physical id: 0
                bus info: pci@0000:01:00.0
                version: a1
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
                configuration: driver=nvidia latency=0
                resources: irq:18 memory:fc000000-fcffffff memory:d8000000-dfffffff memory:d4000000-d5ffffff ioport:d800(size=128) memory:fbf80000-fbffffff

I don't have problems with crashes, but I appear to have no hardware acceleration whatsoever when running OpenGL. The weird thing is that applications report decent frame rates, but the numbers are obviously bogus based on what I see on the screen.

I did a clean install, not an upgrade. The card was working fine with the proprietary nVidia drivers on 10.04.

Revision history for this message
Druid (topaz-gb) wrote :

"This driver is activated but not currently in use".
nvidia-173 is the recommended driver.

Same for me

Revision history for this message
Hansen (moteprime) wrote :

My outputs look like this:

lspci: 03:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev a1)

/usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8400 GS/PCI/SSE2/3DNOW!
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

grep drv\.so /var/log/Xorg.0.log
[ 17.734] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 17.902] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 17.903] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 17.903] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 17.974] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 19.044] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 19.045] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 19.053] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 19.054] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 19.055] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 19.063] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

I have a functioning Unity, have not been trying 3D games, and have had no crashes.
It is just the "This driver is activated but not currently in use" problem. But it appears that the display is just a bit more laggy than i remember it being in Maverick.

Revision history for this message
Wolf F. (wfogl) wrote :

Same here with NVIDIA Geforce Go 7300 on Natty. Driver activated but not in use.
Nevertheless, with the workaround to froce start of unity in /etc/environment and the 173 I can use Unity 3D and it seems that the driver is in use.

Revision history for this message
Tim Croydon (timcroydon) wrote :

Same here with GeForce 8500GT (driver activated but not currently in use). Clean install of 11.04 tried with both 173 and current:

- /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8500 GT/PCI/SSE2
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

Shame, as Natty finally detects my soundcard out-of-the-box and now I lose the screen!

Revision history for this message
Alberto Milone (albertomilone) wrote :

Just to be clear, the problem only affects Jockey, not the drivers themselves.

Changed in nvidia-drivers-ubuntu:
status: Confirmed → Invalid
Revision history for this message
Waldgeist_dI (noway) wrote :

Alberto, please clarify comment #24! My clean installation of Natty 64 bit does not exhibit obvious problems such as those posted by some of the others but the output of glxgears still looks strange and hardly moving (despite some 7000 fps reported).

It's my home machine that's affected so I can't test it right now, but there are also reports of malfunctioning 3D games which does sound like there's a more severe problem than just Jockey being confused.

Revision history for this message
Waldgeist_dI (noway) wrote :

Of course I also have the message about the nVidia driver being active but unused :) ...

Revision history for this message
dino99 (9d9) wrote :

get it too with Oneiric i386: nvidia-current activated but not used

but i've found other related problem:
- /dev/nvidiactl rights denied
- might affect /dev/nvidia0 too

i'm posting this because of #24 above, and maybe related to incorrect selinux labels
http://70.87.46.147/vbulletin/showthread.php?t=161820

Revision history for this message
dino99 (9d9) wrote :

googling around i've find this previous report:
https://bugs.launchpad.net/ubuntu/+source/wine/+bug/288852

my issue is with wine too (1.3.19) default installation (no winetricks), and its the first time i see such issue.

Revision history for this message
Hoa Le (leth5591) wrote :

I confirm this bug. Unity works on Ubuntu 11.04 64-bit. Nvidia current version installed and nouveau blacklisted.

$ lspci | grep nVidia
01:00.0 VGA compatible controller: nVidia Corporation G73 [GeForce 7300 GT] (rev a1)

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7300 GT/PCI/SSE2
OpenGL version string: 2.1.2 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

$ grep drv\.so /var/log/Xorg.0.log
[ 14.615] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 14.618] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 14.619] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 14.620] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 16.030] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 16.031] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 16.053] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 16.107] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 16.165] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

Revision history for this message
dino99 (9d9) wrote :

latest test output while removing/purging then reinstalling nvidia* packages:

update-alternatives: warning: creation of /usr/lib32/vdpau/libvdpau_nvidia.so.1 abandonned because of associated file /usr/lib32/nvidia-current/vdpau/libvdpau_nvidia.so.1 (from group links gl_conf) does not exist.

Revision history for this message
andyW (andy-wbrook) wrote :

Confirm.

$ lspci | grep nVidia
------------------------------------------------------------------------------------------------------------------------------
01:00.0 VGA compatible controller: nVidia Corporation GF106 [GeForce 450 GTS] (rev a1)
01:00.1 Audio device: nVidia Corporation GF106 High Definition Audio Controller (rev a1)

$ /usr/lib/nux/unity_support_test -p
-----------------------------------------------------------------------------------------------------------------------------
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTS 450/PCI/SSE2
OpenGL version string: 4.1.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

$ grep drv\.so /var/log/Xorg.0.log
---------------------------------------------------------------------------------------------------------
[ 11.643] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[ 11.651] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[ 12.656] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 12.656] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 12.691] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 12.744] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 12.744] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

Revision history for this message
FractalBrain (ejarrett) wrote :

Same problem with a fresh Ubuntu 11.04 install and GeForce 7600 GT.

glxgears: Frame Rate is above 8000, but actual observable frame rate is about 0.5-1 (veeerrryyy slow).

uname output: Linux MY_NAME 2.6.38-8-generic-pae #42-Ubuntu SMP Mon Apr 11 05:17:09 UTC 2011 i686 athlon i386 GNU/Linux

lspci output: 06:00.0 VGA compatible controller: nVidia Corporation G73 [GeForce 7600 GT] (rev a1)

unity_support_test output:
$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7600 GT/PCI/SSE2/3DNOW!
OpenGL version string: 2.1.2 NVIDIA 173.14.30

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

Revision history for this message
FractalBrain (ejarrett) wrote :

Pardon my probable ignorance, but why is "NVIDIA Drivers Ubuntu" Invalid? Does that imply that it is not a driver issue? If so are we sure? Someone please clear up my poor bug noobosity.

Revision history for this message
deuxpi (philippe-gauthier) wrote :

I used a simple script to test the Jockey handler for Nvidia. The result looks like the following:

...
>>> ndb = nvidia.NvidiaDriverBase(b, '173')
>>> print ndb
xorg:nvidia_173([NvidiaDriverBase, nonfree, enabled] NVIDIA accelerated graphics driver)
>>> ndb.used()
False
>>> ndb.enabled()
True
>>> ndb.changed()
False

So it looks like the "changed" attribute is set to False as a default in superclass jockey.handlers.KernelModuleHandler, but there is no way that this value can ever be set to True with the current code. This means that the "used" attribute, that requires that the "changed" and "enabled" properties be True, will never be True.

The documentation for the "changed" property is "Return if the module has been enabled/disabled at least once." I am really not sure what is the dependency between "changed" and "used" makes sense.

Revision history for this message
wormser (armeaney) wrote :

FractalBrain - The NVIDIA driver is a 3rd party driver and it is not open source. It is up to the driver manufacturer (NVIDIA in this case) to fix any issues. This issue appears to be an issue with jockey and not a driver issue.

Revision history for this message
George Fragos (fragos) wrote :

I also get "This driver is activated but not currently in use" with both the mobo GeForce 7025 and the 210 I installed. Despite the message the driver seems to be working yielding 3100fps with glxgears and being seen as working by "NVIDIA X Server Settings." I running a new clean 32 bit install. Unity_support_test results:

fragos@Geo:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 210/PCI/SSE2/3DNOW!
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

Revision history for this message
Vishnu Rao (vishnumrao) wrote :

Looks like its not just me who has the problem! Wow this is a major problem. I wonder how it even escaped being noticed in the beta stages. Sadly I was running the betas on a litte HP mini netbook and T60 both having Intel graphics.

Installed 11.04 over my 10.04 install on my desktop with a Nivida GeForce 5200 graphics card. Please let me know if you would like me to post any of the technical details. From the comments above, it looks like many others have posted the technical details you would need. Also willing to test out any possible fixes.

Thanks,
Vishnu Rao.

Revision history for this message
Patrick McEwen (prmcewen) wrote :

Same problem with a fresh 64-bit install

~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8400M GS/PCI/SSE2
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

Revision history for this message
Beholdarkness (beholdarkness) wrote :

Same problem with fresh install of Natty on a laptop. Driver is activated but not in use..

I am unable to enable HDMI audio on the chipset as well.
Nvidia 8600M GS.

Revision history for this message
Shawn McCormick (shawnmccormick) wrote :

I am having this problem in Natty Narwhal, too. It was working fine in 10.04 32-bit, but when I did a fresh install of version 11.04 32-bit, I started having problems. Unlike some of you, however, I am able to run Unity fine on my GeForce GT 220... but not any 3D applications. I tried some suggestions from some people who claimed to have fixed it, but nothing worked for me. My "nvidia_current" driver is "... activated but not currently in use"

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

It seems that two types of issues are being mixed in this bug report, one that only affects what can be seen in jockey (aka Additional Drivers") and one that also affects the NVIDIA driver and does not allow to run Unity.

My original report was just on the Jockey problem, as I'm able to run Unity with my driver, as seems the case of other people reporting in this bug.

I recommend the ones that are having problems with the graphics driver and not able to run Unity to look for the appropriate bug report (there are some specific on this) and report there if they can add some information that could help. Their problem will probably get unattended in this bug report.

Revision history for this message
Donny (quinnuendo) wrote :

I agree, there are two types of problems that are referenced here, both of them show that the driver is not being used in jockey, but for some the drivers are still working, and for some (including me) none of the OpenGL functions are working.

I would recomend to all the people that have the driver not functioning to report to this other bug:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/726496

The manifestation is that you can not run unity, and even when you run the desktop without effects, compiz will probably not run well, notify osd will not be semi transparent etc.

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

I think fit in the first case: after the upgrade the default interface was UNITY but no 3d effects were available, even when I switched back to GNOME. But apart from 3d effects, everything works fine.

Revision history for this message
Jacob Warring Eytle (jj-coolay) wrote :

Confirmed. Only with me, I can't even get the Natty Unity interface, only the Gnome one :/

Vishnu Rao (vishnumrao)
description: updated
Revision history for this message
Lohe (lohe) wrote :

Confirm this bug.

The driver seems to be active, but even the 2d-performance is sluggish with natty compared to 10.04 and "driver active AND in use"-message. There is sth wrong.

In minecraft for example (using Xubuntu) xorg locks up with the nvidia-driver after some time. "nouveau"-driver works fine (ok, under its current limitations). Jockey with "nouveau"-drivers activated reports: "driver is active and in use"..and minecraft works far better, even with this open-source-driver...

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

You're lucky, Marcel Engelmann: as for me, if I install the open-source driver, the system just freezes at startup.

Revision history for this message
Carl Owen (carl-owen1) wrote :

I am also experiencing this bug after upgrading from 10.10 to 11.04.
The Unity desktop appears to be working fine, but when I attempt to play an AVI, MKV to video is very jumpy/flickering.

Jocky reports “This driver is activated but not currently in use”

NVIDIA GT 8500 , x64

Revision history for this message
Bogusz Dybowski (kindzal) wrote :

Same problem here - I am using "Ubuntu classic desktop (no effects)" and there is apparent tearing when playing videos.

System reports “This driver is activated but not currently in use”.

Nvidia 7600GT, x64

Revision history for this message
The GuiGuy (linux-finalfiler) wrote :

And I thought it was just the usual upgrade pains I've become so used to whenever Ubuntu progresses from one version to the next. :)

Anyway, bug or whatever, I'm affected too.

Revision history for this message
Lohe (lohe) wrote :

Installed the driver manually. It seems to work now.

glxgears before (means with jockey automatic driver installation): 1300frames
now above 20.000 with an old gf6600gt(agp).

Perhaps manual installation helps on your systems too.
(just did alt+strg+1, /etc/init.d/gdm stop, sh nvidia(...).run, reboot et voila...see above.

Revision history for this message
yuri (yuriry) wrote :

Same problem: "The driver is activated but not currently in use"
Nvidia m360

installed as described here:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau/+bug/636442/comments/14

Revision history for this message
jonnybecker (jonnybecker) wrote :

Same problem here: "The driver is activated but not currently in use"
nVidia GeForceFX G0 5300

Revision history for this message
flyingcloud (flyingcloud-guan) wrote :

Same problem here: "The driver is activated but not currently in use"
nvidia GeForce 310M

Revision history for this message
swallowingpaperclips (battlefinch) wrote :

same issue on Vostro 3300

nVidia GeForce 310M

Revision history for this message
Vamsi Krishna B (vamsi-vamsii) wrote :

Same problem here: "The driver is activated but not currently in use"
Nvidia 7300

Revision history for this message
asala (asala) wrote :

Same isssue. No unity, no 3d compiz... as a workaround, to restore compiz in the classic Gnome desktop, I added fusion-icon in the startup application list and it seems to work. Also, tested supertuxkart and it was OK.

Revision history for this message
Ari Salonen (ari-salonen) wrote :

Yup. Same problem with Nvidia GeForce gts250.

description: VGA compatible controller
       product: G92 [GeForce GTS 250]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:18 memory:fa000000-faffffff memory:d0000000-dfffffff memory:f8000000-f9ffffff ioport:dc00(size=128) memory:fbee0000-fbefffff

Revision history for this message
Ville Salminen (unrealizedse) wrote :

Same problem here. GeForce 9500GT.

[unrealized@desktop ~]$ sudo lshw -C display
  *-display
       description: VGA compatible controller
       product: G96 [GeForce 9500 GT]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:19 memory:fb000000-fbffffff memory:e0000000-efffffff memory:f8000000-f9ffffff ioport:ec00(size=128) memory:faf80000-faffffff

Revision history for this message
Jason S. Wagner (jasonswagner) wrote :

Please stop this endless barrage of "me too" with no real content. We have enough reports from enough people on enough adapters, I'm sure that whatever the next one is isn't going to bring us any closer to a solution.

Every time you "me too" reply, you spam everyone who is subscribed to the bug. Please, just click the "This bug affects 78 people. Does this bug affect you?" link at the top of the page to increment the number, and leave this comment channel silent so the discussion between developers and the people who can help test solutions won't be lost in the noise.

Thanks.

Revision history for this message
Ben Shadwick (benshadwick) wrote :

Jason,

Is adding you the affected users count really the only way to get some attention on this issue? Are there really people who don't bother looking at bugs until the count reaches a certain number?

I've subscribed Martin Pitt to this bug because he seems to be the most active Jockey developer lately. I'm not sure what else to do.

Revision history for this message
Ville Salminen (unrealizedse) wrote :

@59: That sounds like a real lazy way of fixing up stuff. The lshw output is there to help the developers.I agree with those, who don't bring in any extra info at all.

Revision history for this message
AdrianChallinor (adrian-challinor) wrote :

#59: Instead of just telling people to stop saying "me too", how about something just a little more positive. Have the appropriate kernel developers identified where the bug is? Do they need anyone who has this bug to run any test code for more detailed investigations? When will a fix be available?

Because, lets not mince too many words here, this is serious and rather damning bug in Ubuntu's release strategy. To have one of the worlds major graphics cards, the one that a lot of serious developers use, acting as little more than a glorified VGA device is going to have a seriously damaging effect on Ubuntu.

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

#62 I 100% agree with you, I can't believe beta testers didn't become aware of it, why didn't they test Natty with a Nvidia card??? This is DEFINITELY going to have "a seriously damaging effect on Ubuntu" .

Revision history for this message
steve taylor (stevemail) wrote :

Bearing in mind that it's early days for Unity, it's as well to remember that new
builds are tested in the wild on us. Only then can they be 'completed'.

Gnome 3, maybe, should be the main development with Unity being a spin off build
for those who have the kit. For me at least I just want an OS that I can work on.
I don't want to be worried that every time I shut down that I may not be able to
boot up again nor have to spend hours with workarounds and fixes.

It might even help if there was an updating list of working cards to refer to.
So if the worst happens (nothing) it would be possible to go get another card.
There is a tension between forging ahead technically (probably touch screen)
and being sensitive to users with old kit.

So far as I can see tested cards (which you probably have seen) from another posting

ATI cards: Radeon 7500, Radeon 9250, Radeon 9500, Radeon 9600, Radeon X300, Radeon X1600, Radeon HD 2600.
NVIDIA cards: TNT/Vanta, GeForce 2MX, GeForce 3, GeForce 4MX, GeForce FX 5200, GeForce FX 5500, GeForce 6200, GeForce 6800, GeForce 7600, GeForce 8600, GeForce 8800.
Intel cards: 865 ('Extreme Graphics'), 915 ('GMA 900'), 945 ('GMA 950'), 965 ('GMA X3100').
Others: SiS 661, SiS 760, S3 UniChrome, Matrox G400, S3 ProSavage.

Still sketchy then.

Martin Pitt (pitti)
Changed in jockey (Ubuntu):
importance: Undecided → Medium
status: Confirmed → In Progress
assignee: nobody → Martin Pitt (pitti)
Revision history for this message
George (gnwiii) wrote :

I have a system where Unity is running nicely using nvidia "current", but jockey-gtk reports "This driver is activated but not currently in use". The problem can also be seen using the text interface:

 $ jockey-text -l
xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, Not in use)

Revision history for this message
Bob (bbrazie) wrote :

I have the same problem with a three year old Acer Extensa 4420.

The drivers are: 01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS690M [Radeon X1200 Series] [1002:791f]

I did an update but nothing new shows up in the additional drivers section.

Strange but once in a while it will boot into Unity but not very often.

Any advice? Bob.

Revision history for this message
bxcrx (shon-nyitg) wrote :

I have the same issue on two 11.04 systems x64

System one has an Nvidia 8800 GTS card
System two has an Nvidia 9800 GT card

It doesn't seem to affect the graphics though.

When I activated driver version 173.xxx it worked just fine. When I switched back to recommended version it did not work.

Revision history for this message
Wombat (wombat) wrote :

11.04 64Bit Core 2 Quad Unity will not load with Nvidia 8500 GT Shows that it is active but not in use

11.04 32Bit Core 2 Duo Machine Unity Loads correctly with Nvidia 9500 GT but also shows that driver is active but not in use

Doesnt matter which driver I use it wont work. Tried purging all Nvidia drivers and this did not fix it.

Revision history for this message
ozruta (ozruta) wrote :

With nvidia current and 173 driver "activated, but not being in use". Also unity doesn`t work, I have to run classic session. With nouveau (experimental 3d support driver) I haven`t this problem. Driver is activated and working, also I`m having unity working without ay problem.

GRAPHIC CARD
 VGA controller
  nVidia Corporation G73 [GeForce 7600 GS] (rev a2) (prog-if 00 [VGA controller])

SYSTEM INFORMATION
 Running Ubuntu Linux, the Ubuntu 11.04 (natty) release.
 GNOME: 2.32.1 (Ubuntu 2011-04-14)
 Kernel version: 2.6.38-8-generic (#42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011)
 GCC: 4.5.2 (i686-linux-gnu)
 Xorg: 1.10.1 (19 April 2011 03:33:17PM) (19 April 2011 03:33:17PM)

CPU INFORMATION
 AuthenticAMD, AMD Athlon(tm) XP 2000+
 Number of CPUs: 1
 CPU clock currently at 1662.500 MHz with 256 KB cache
 Numbering: family(6) model(8) stepping(0)
 Bogomips: 3340.77
 Flags: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow up

MEMORY INFORMATION
 Total memory: 1506 MB
 Total swap: 1021 MB

Revision history for this message
W R Chisholm (wrchis) wrote :

I am having the same problem of course. All of the tests say it should be working, the unity support test is all green, the output of grep drv\.so /var/log/Xorg.0.log
[ 109.599] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 109.600] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 109.602] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 109.602] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 109.607] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 110.587] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 110.587] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 110.635] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 110.682] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 110.732] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 110.781] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 111.116] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 111.161] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

and the output of sudo lshw -C display:

  *-display
       description: VGA compatible controller
       product: GT215 [GeForce GT 240]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:fb000000-fbffffff memory:d0000000-dfffffff memory:ee000000-efffffff ioport:ac00(size=128) memory:e0000000-e007ffff

I have an nvidia GT240 video card and a GeForce6100PM-M2 motherboard.

Jocky has the activated but not in use message of course, and 3d games are very iffy, sometimes working, sometimes not. The glxgears thing reports high framerates but the gears barely move, and are very jerky when they do. Also a lot of apps are slower in 11.04 than they were in 10.10 and 10.4.

A new piece of information i have not seen here so far: One of the 3d games i regularly play started acting very unstable and crashing on startup a few weeks before 11.04 went to full release after a rather substantial update (i check for updates every day so it was not a buildup) that included kernel updates of some kind i believe and something with X (i wish there was a way to check back to look up exactly what is included in each update, at the time it all seemed reasonable and it was not until later that i thought it may have been the cause and by that time i forgot the exact details of it, including the day it came out except in a general sense) so it seems that it was probably something in that update that is causing the problem. The problem definitely did not exist in the alpha versions and beta versions up until the last few weeks before the mainline release.

Revision history for this message
Sal Colon (salcolon) wrote :

I can also confirm this bug. I am running Kubuntu 11.04 64 bit. I have an Nvidia 9600m GT. Effects seem to be working, albeit, a little more sluggish than I remember in Maverick. Under Jockey, (version current) [recommended] "This driver is activated but not currently in use". I ran glxgears and reports back 2300 but seems a little sluggish. Under Nvidia X Server Settings, it reports that I am using driver ver. 270.41.06. "sudo lshw -C display" gives me this:

*-display
       description: VGA compatible controller
       product: G96 [GeForce 9600M GT]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:d2000000-d2ffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:7000(size=128)

Also of note, I remember during the fresh install of Kubuntu, it hung through the install. I also installed Compiz and is unusable, Emerald won't load using compiz-fusion-icon. This didn't happen in Maverick. "grep drv\.so /var/log/Xorg.0.log" gives this:

[ 17.214] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 17.559] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 22.583] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.639] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.662] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.699] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.731] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.772] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.811] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.847] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.884] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 22.921] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[ 22.935] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[ 23.187] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 23.222] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

"unity_support_test -p" will not run, since this is KDE.

Revision history for this message
JuanManuel (juanmanuelcosta) wrote :

same problem. I've tried the live usb 11.04 with no problems, but after I install it, unity can't start and my xorg.conf is basic, then I checked the nvidia proprietary drivers and it shows "activated but not in use".

- Dell vostro 3500
- Nvidia Geforce G 310M

Revision history for this message
Bob (bbrazie) wrote :

JaunManual #74 If I might ask how did you: " I checked the nvidia proprietary drivers and it shows "activated but not in use."

Thanks, Bob.

Revision history for this message
M2-player (vergil333) wrote :

the same problem as JuanManuel has.
Here is thread about my problem http://ubuntuforums.org/showthread.php?t=1759810

Bob #75 I guess he checked it in Additional drivers - http://i52.tinypic.com/161fcwz.png

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Invalid
Revision history for this message
AdrianChallinor (adrian-challinor) wrote :

Hold on - loads of people report this as a bug. Its is such a bug I have rebuilt my whole system on 10.10 because all my 3D graphics went west with Tonto.

Is this some new meaning of the word "invalid" that I am not getting?

If it is not fixed in a customer release, this is still a valid bug. I await confirmation of the fix....

Revision history for this message
deuxpi (philippe-gauthier) wrote :

I have marked the task about the nvidia-graphics-drivers-173 package as invalid because this bug is caused by a problem in Jockey. In the present report, the graphic drivers are enabled and probably work, but the Additional Drivers window still says that the drivers are not being used. If you -- or someone else -- have any other problem with the proprietary Nvidia drivers, please report it as a different bug. I'm sorry that I did not add this comment before because I wanted to limit the number of comments that did not directly serve to fix the current issue.

Revision history for this message
AdrianChallinor (adrian-challinor) wrote : Re: [Bug 771788] Re: nVidia driver activated and apparently being used but reported as not being used by jockey-gtk

Phillipe,

This is disingenuous. Do you really think that users care whether it is
the driver, Jockey, Unity, or anything else that is the fault? The
simple fact is that it is not working.

I have a GeForce GTX 285, not a cheap card. It works under 10.10. Under
11.04 I get no 3d graphics, no compiz. Its a VGA card for all practical
purposes.

There is (or was) a bug report to that effect. Marking that bug as
invalid with so many people tracking it serves no practical purpose, but
does infuriate people. As a developer of over 35 years experience, it
sure infuriated me, so I guess I won't be alone.

This is a very serious issue: Canonical have release an upgrade that
cripples a lot of peoples PCs. It should have been found in testing and
I believe is serious enough to have stopped the release. It concerns the
major supplier of graphics cards, ergo a lot of people will have this
bug. In my mind, if this happened in my company, we would pull the
release and stoped further people getting in to problems until it was
fixed. Otherwise there is a very real danger of alienating users.

My regret is that due to personal circumstances I was not able to do a
full test on Beta1 or Beta2. Had I been able to do this I would have
found this earlier.

I still think that marking the bug as "invalid" was the wrong message to
send out. YMMV

Adrian Challinor
mobile: 07860 290 883

On 25/05/11 22:25, Philippe Gauthier wrote:
> I have marked the task about the nvidia-graphics-drivers-173 package as
> invalid because this bug is caused by a problem in Jockey. In the
> present report, the graphic drivers are enabled and probably work, but
> the Additional Drivers window still says that the drivers are not being
> used. If you -- or someone else -- have any other problem with the
> proprietary Nvidia drivers, please report it as a different bug. I'm
> sorry that I did not add this comment before because I wanted to limit
> the number of comments that did not directly serve to fix the current
> issue.
>

Revision history for this message
IsmAvatar (ismavatar) wrote :

You must be new here. He's not marking the entire bug as invalid. A bug can affect multiple things, and this bug has been marked as affecting several things. However, sometimes some of the things aren't really aspects of the bug, and should be marked as invalid, while other aspects will be worked on.

For instance, suppose you have a bug "System crashes after 30 seconds". You can mark that it affects the linux kernel, the time module, and xorg. However, after testing, we find out that xorg is perfectly fine, as is the time module, and the real culprit is the latest linux kernel. In this case, we'd mark the xorg and time module bugs as invalid, and the linux kernel as confirmed. What you're seeing is just a technicality of launchpad - in that instance, everyone on the "System crashes" bug's mailing list would get a message saying "Changed in xorg: status: new -> Invalid". This doesn't mean the bug itself is invalid, just that it doesn't actually affect xorg after all.

Likewise, if you took a look at the systems that this bug affects, you will see that it is currently Confirmed for Jockey and In Progress for jockey (Ubuntu), while it does not affect (and is thus marked invalid for) the NVidia Drivers.

tl;dr: The bug isn't invalid, he's just marking that it doesn't affect NVidia Drivers, but it's still a problem for Jockey, which is still marked as Confirmed/In Progress - so don't panic.

Revision history for this message
Antonio (aap7) wrote :

Same problem here. The nvidia driver is activated but not in use. Unity works and so does Compiz, but some effects are slower than before (10.10).

Ubuntu sometimes freezes when using Boxee (that didn't happen before) and I see some glitches in Flash videos with Firefox or with Chromium.

Glxgears also moves very slow, but it gives me around 2000fps, so something happens.

Yesterday I tried to install the official nvidia package (NVIDIA-Linux-x86_64-270.41.19.run) but after stopping GDM the nvidia script failed ("The distribution-provided pre-install script failed!").

Running lshw -c video I obtain the following:
WARNING: you should run this program as super-user.
  *-display
       description: VGA compatible controller
       product: G98 [GeForce 9300M GS]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:d2000000-d2ffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:7000(size=128)
WARNING: output may be incomplete or inaccurate, you should run this program as super-user.

so it seems that I'm not running the correct driver.

With these driver I was able to play Armagetron and Dark Places Quake, so it's not too bad for me.

Any ideas are welcome.

Revision history for this message
JuanManuel (juanmanuelcosta) wrote :

Hi M2-player #76,
Definitely we have the same problem... by now I'm running on Ubuntu 10.04 but without nvidia graphics, anyway it's working with "Extra" in visual effects. I think we'll have to wait to get Unity :(

-- Bob #75, as M2-player said, this is what I meant : http://i52.tinypic.com/161fcwz.png

Revision history for this message
gregreen (gregreen) wrote :

This bug also affects me. I'm running 64-bit 11.04, with an Nvidia GeForce GTX 460M. I've noticed that YouTube videos no longer run smoothly in fullscreen (I get ~2 FPS), while they run fine in windowed mode. Running glx-gears brings my computer to a standstill, and I only see the gears update every few seconds, although the program claims 8000 FPS. glx-gears does, however, give me the following error message:

    Error: API mismatch: the NVIDIA kernel module has version 270.41.06,
    but this NVIDIA driver component has version 270.41.19. Please make
    sure that the kernel module and all NVIDIA driver components
    have the same version.

I began with Maverick, and Flash video worked fine until the upgrade to 11.04.

Revision history for this message
Christian Andrade (tumbes2000) wrote :

Also have the same bug. When I search for additional drivers it shows only the Nvidia proprietary driver then says nVidia driver activated, not being used.

11.04 64-bit with Nvidia GeForce 8400GS Clean install. I have not tried any 3d acceleration, but things seem to run ok.

Here are my outputs

tumbes2000@CACOMP:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 8400GS/PCI/SSE2
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes

[sudo] password for tumbes2000:
  *-display
       description: VGA compatible controller
       product: G98 [GeForce 8400GS]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:02:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:ed000000-edffffff memory:c0000000-cfffffff memory:de000000-dfffffff ioport:bf00(size=128) memory:d0000000-d007ffff
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi people,

the problem that causes this error is, that the versions of nvidia-current and nvidia-current-modaliases are not fitting to each other. My synaptic shows nvidia-current with this version: 270.41.19-0ubuntu1~xup~natty. In Contrary to this, the package nvidia-current-modaliases still is on version 260.19-26-0ubuntu1~xup!!

As you might see, these versions do not fit to each other. So the package nvidia-current-modaliases needs an update, because it is a direct dependency of nvidia-current!!! Please fix this up guys!!!

And this bug not only affects Ubuntu Natty, it also affects LinuxMint 11, Kubuntu, Lubuntu and Xubuntu too. Please corretc this in your list of affected distros. Thank you!!!

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Then I just wanted to add, that I have the ppa-repository of ubuntu-x-swat already installed on my LinuxMint 11 with Gnome 2.32.1

Kernel is 2.6.38.8-generic

Architecture is x86_64

my graphiccard is this one: 02:00.0 VGA compatible controller: nVidia Corporation C79 [GeForce 9200M G] (rev b1)

Revision history for this message
George (gnwiii) wrote :

In natty, apptitude lists nvidia-common (0.2.30) as "replacing" nvidia-current-modaliases. Jockey recommends nvidia-common.

Revision history for this message
zer010 (zer010) wrote :

I'm using Xubuntu 11.04 and I have this bug as well. Using the nvidia 173 driver.

Revision history for this message
Antonio (aap7) wrote :

I updated today my nvidia-current driver to version 270.41.19, but I still have the same problem. The driver is activated but not in use.

I also see that there are some problems with my mouse pointer (in windows it works OK). Some time the mouse pointer doesn't recognise some links in webpages (using firefox) and some times it seems that click doesn't work (this happens always with tomboy indicator). I don't know if these problems are related but they started happening since the last upgrade (natty).

Regards.

Revision history for this message
jastastruct (justinjoseph24) wrote :

Do we know what the actual impact of this bug is, aside from the text in jockey? Are the drivers actually not in use, or is it just jockey failing to detect the drivers being in use?

Revision history for this message
Max Kaehn (slothman) wrote :

On my system, the NVidia control panel that allows setting up multiple displays doesn’t allow any actions; I presumed that was caused by this bug. Is it working for anyone else?

Revision history for this message
Mike Steele (gurucentral) wrote :

In addition to the "driver not being used", my video is slow, the "gears" don't turn (though it reports from 6k to 8k fps), and those cool special effects (jello windows) aren't there. I do get that new Ubuntu user interface (Unity?) (Where should I go to get some kind of doc on that thing?)

Revision history for this message
johan (joxyes) wrote :

Mike Steele #92, I had the same issue with gears and other OpenGL programs, they were running very slow. However clicking the "Sync to vBlank" options in Nvidia settings resolved it, but ofcourse your performances get capped to your screen refresh rate.

I don't know if this is a global setting or if it is related to my specific hardware. I just wanted to share maybe it can help someone else meanwhile they fix this.

Revision history for this message
Don Doumakes (doumakes) wrote :

Starcraft 2 fails with a message that the video driver is out of date, but I notice no other symptoms.

And may I say how much I appreciate the people who are trying to solve this problem for us, for free?

$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 430/PCI/SSE2
OpenGL version string: 4.1.0 NVIDIA 270.41.19

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

$ grep drv\.so /var/log/Xorg.0.log
[ 31.548] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 31.550] (II) Loading /usr/lib/xorg/extra-modules/nvidia_drv.so
[ 32.318] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 32.318] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 32.364] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 32.498] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[ 32.498] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so

$ sudo lshw -C display
[sudo] password for don:
  *-display
       description: VGA compatible controller
       product: GF108 [GeForce GT 430]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:fd000000-fdffffff memory:f0000000-f7ffffff memory:f8000000-f9ffffff ioport:cc00(size=128) memory:fe800000-fe87ffff

Revision history for this message
AndreK (andre-k) wrote :

same problem here:
andre@Loke:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GTX 570/PCI/SSE2
OpenGL version string: 4.1.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes
andre@Loke:~$

Revision history for this message
Emilio (emilio-moretti) wrote :

I keep trying to fix this without success. And I'm stuck with the same message...

 a quick look at this issue shows that the nvidia module is not being loaded at all (in my setup: nvidia 8600GT):

[ 15.746] (II) Loading extension DRI2
[ 15.746] (==) Matched nvidia as autoconfigured driver 0
[ 15.746] (==) Matched nouveau as autoconfigured driver 1
[ 15.746] (==) Matched nv as autoconfigured driver 2
[ 15.746] (==) Matched vesa as autoconfigured driver 3
[ 15.746] (==) Matched fbdev as autoconfigured driver 4
[ 15.746] (==) Assigned the driver to the xf86ConfigLayout
[ 15.746] (II) LoadModule: "nvidia"
[ 15.747] (WW) Warning, couldn't open module nvidia
[ 15.747] (II) UnloadModule: "nvidia"
[ 15.747] (II) Unloading nvidia
[ 15.747] (EE) Failed to load module "nvidia" (module does not exist, 0)
[ 15.747] (II) LoadModule: "nouveau"
[ 15.747] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 15.748] (II) Module nouveau: vendor="X.Org Foundation"
[ 15.748] compiled for 1.10.0, module version = 0.0.16
[ 15.748] Module class: X.Org Video Driver
[ 15.748] ABI class: X.Org Video Driver, version 10.0
[ 15.748] (II) LoadModule: "nv"
[ 15.751] (WW) Warning, couldn't open module nv
[ 15.751] (II) UnloadModule: "nv"
[ 15.751] (II) Unloading nv
[ 15.751] (EE) Failed to load module "nv" (module does not exist, 0)
[ 15.751] (II) LoadModule: "vesa"
[ 15.752] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 15.752] (II) Module vesa: vendor="X.Org Foundation"
[ 15.752] compiled for 1.10.0, module version = 2.3.0
[ 15.752] Module class: X.Org Video Driver
[ 15.752] ABI class: X.Org Video Driver, version 10.0
[ 15.752] (II) LoadModule: "fbdev"
[ 15.752] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 15.757] (II) Module fbdev: vendor="X.Org Foundation"
... etc etc

as you can see, the nvidia driver is not being loaded at all. So basically nvidia is not working. There are experimental open source drivers, but the oficial binaries are not working at all.

You can boot into Unity, before trying to enable the binary drivers I was able to open Unity too (with a reaaally bad performance), but you are NOT using nvidia drivers. "They are not currently in use" is not just jockey not detecting them. it's because they are really not being used.

Revision history for this message
Hansen (moteprime) wrote :

Can you post instructions so that we can report if we have the same problem.
It seems to me that unity is working fine, without "really" bad performance.

Revision history for this message
Emilio (emilio-moretti) wrote :

Just use gedit to open this file /var/log/Xorg.0.log and search for nvidia.

I managed to uninstall the nouveau xorg drivers, and now I'm using vesa... but somehow nouveau is like a virus you can't get ride of. I blacklisted the module but it's being loaded anyway by other modules, so the nvidia drivers from the official web page are not letting me install it.

if you try to remove the nouveau kernel module from synaptic... it tries to remove half the system!!! why is that? half Ubuntu depends on libdrm-nouveau1a?

what's the trick? how do you unload that module to install the official binary package?

Revision history for this message
RamonB (ramon-m) wrote :

Strange thing, I'm having this:

$ sudo lshw -C display
  *-display
       description: VGA compatible controller
       product: GF100 [GeForce GTX 480]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       version: a3
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:f6000000-f7ffffff memory:e0000000-e7ffffff memory:ec000000-efffffff ioport:df00(size=128) memory:e8000000-e807ffff

But still I was experiencing the konsole window resize crash and fixed it by upgrading to nvidia experimental 275.09.04. See https://bugs.launchpad.net/archlinux/+source/nvidia-graphics-drivers/+bug/760632 for more info.

So although it's reported not being used and lshw confirms this, the driver is still being used to some level since I detected known problems with it and fixed it by upgrading.

Revision history for this message
Mark Fraser (launchpad-mfraz) wrote :

Also seeing this with jockey-kde.

Revision history for this message
Rkimber (rkimber) wrote :

Emilio says that "They are not currently in use" is not just jockey not detecting them. it's because they are really not being used.

On my machine, the driver (270.41.06) is in use according to nvidia settings (and it reports a GPU temperature), nevertheless I get a "this driver is not activated" message, and "There are no proprietary drivers in use".

I'm using Ubuntu classic desktop.

Revision history for this message
Emilio (emilio-moretti) wrote :
Download full text (3.7 KiB)

this is the jockey.log fille (/var/log/)

2011-06-12 02:51:02,067 DEBUG: loading custom handler /usr/share/jockey/handlers/nouveau3d.py
2011-06-12 02:51:02,224 DEBUG: Instantiated Handler subclass __builtin__.Nouveau3DHandler from name Nouveau3DHandler
2011-06-12 02:51:02,225 DEBUG: Experimental 3D support for NVIDIA cards is available
2011-06-12 02:51:02,225 DEBUG: loading custom handler /usr/share/jockey/handlers/fglrx.py
2011-06-12 02:51:02,330 WARNING: Invalid custom handler module /usr/share/jockey/handlers/fglrx.py
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 930, in get_handlers
    execfile(mod, symb)
  File "/usr/share/jockey/handlers/fglrx.py", line 11, in <module>
    from NvidiaDetector.alternatives import Alternatives
ImportError: No module named NvidiaDetector.alternatives
...
2011-06-12 02:51:02,582 DEBUG: loading custom handler /usr/share/jockey/handlers/nvidia.py
2011-06-12 02:51:02,585 WARNING: Invalid custom handler module /usr/share/jockey/handlers/nvidia.py
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 930, in get_handlers
    execfile(mod, symb)
  File "/usr/share/jockey/handlers/nvidia.py", line 12, in <module>
    from NvidiaDetector.nvidiadetector import NvidiaDetection
ImportError: No module named NvidiaDetector.nvidiadetector

Using nvidia current, the syslog shows:

Jun 12 01:50:29 desktop kernel: [ 522.894111] nvidia: module license 'NVIDIA' taints kernel.
Jun 12 01:50:29 desktop kernel: [ 522.894117] Disabling lock debugging due to kernel taint
Jun 12 01:50:29 desktop kernel: [ 523.367644] NVRM: The NVIDIA probe routine was not called for 1 device(s).
Jun 12 01:50:29 desktop kernel: [ 523.367649] NVRM: This can occur when a driver such as nouveau, rivafb,
Jun 12 01:50:29 desktop kernel: [ 523.367650] NVRM: nvidiafb, or rivatv was loaded and obtained ownership of
Jun 12 01:50:29 desktop kernel: [ 523.367651] NVRM: the NVIDIA device(s).
Jun 12 01:50:29 desktop kernel: [ 523.367654] NVRM: Try unloading the conflicting kernel module (and/or
Jun 12 01:50:29 desktop kernel: [ 523.367655] NVRM: reconfigure your kernel without the conflicting
Jun 12 01:50:29 desktop kernel: [ 523.367656] NVRM: driver(s)), then try loading the NVIDIA kernel module
Jun 12 01:50:29 desktop kernel: [ 523.367657] NVRM: again.
Jun 12 01:50:29 desktop kernel: [ 523.367659] NVRM: No NVIDIA graphics adapter probed!

And the Xorg logs (note that I removed x-org-video-nouveau but I couldn't remove the kernel driver):

[ 15.915] (==) Matched nvidia as autoconfigured driver 0
[ 15.915] (==) Matched nouveau as autoconfigured driver 1
[ 15.915] (==) Matched nv as autoconfigured driver 2
[ 15.915] (==) Matched vesa as autoconfigured driver 3
[ 15.915] (==) Matched fbdev as autoconfigured driver 4
[ 15.915] (==) Assigned the driver to the xf86ConfigLayout
[ 15.915] (II) LoadModule: "nvidia"
[ 15.915] (WW) Warning, couldn't open module nvidia
[ 15.915] (II) UnloadModule: "nvidia"
[ 15.915] (II) Unloading nvidia
[ 15.915] (EE) Failed to load module "nvidia" (module does not exist, 0)
[ 15.915] (I...

Read more...

Revision history for this message
michael (mikahgiacchetti) wrote :
Download full text (4.6 KiB)

My jockey.log

2011-06-12 11:27:27,136 DEBUG: reading modalias file /usr/share/jockey/modaliases/disable-upstream-nvidia
2011-06-12 11:27:27,179 DEBUG: loading custom handler /usr/share/jockey/handlers/nouveau3d.py
2011-06-12 11:27:27,199 DEBUG: Instantiated Handler subclass __builtin__.Nouveau3DHandler from name Nouveau3DHandler
2011-06-12 11:27:27,200 DEBUG: Experimental 3D support for NVIDIA cards not available
...
2011-06-12 11:27:27,359 DEBUG: loading custom handler /usr/share/jockey/handlers/nvidia.py
2011-06-12 11:27:27,363 WARNING: modinfo for module nvidia_96 failed: ERROR: modinfo: could not find module nvidia_96

2011-06-12 11:27:27,366 DEBUG: Instantiated Handler subclass __builtin__.NvidiaDriver96 from name NvidiaDriver96
2011-06-12 11:27:27,367 DEBUG: nvidia.available: falling back to default
2011-06-12 11:27:27,382 DEBUG: XorgDriverHandler(nvidia_96, nvidia-96, None): Disabling as package video ABI xorg-video-abi-8 does not match X.org video ABI xorg-video-abi-10
2011-06-12 11:27:27,383 DEBUG: NVIDIA accelerated graphics driver not available
2011-06-12 11:27:27,388 DEBUG: Instantiated Handler subclass __builtin__.NvidiaDriverCurrent from name NvidiaDriverCurrent
2011-06-12 11:27:27,389 DEBUG: nvidia.available: falling back to default
2011-06-12 11:27:27,425 DEBUG: NVIDIA accelerated graphics driver availability undetermined, adding to pool
2011-06-12 11:27:27,425 DEBUG: Could not instantiate Handler subclass __builtin__.NvidiaDriverBase from name NvidiaDriverBase
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 947, in get_handlers
    inst = obj(backend)
TypeError: __init__() takes exactly 3 arguments (2 given)
2011-06-12 11:27:27,428 WARNING: modinfo for module nvidia_173 failed: ERROR: modinfo: could not find module nvidia_173

2011-06-12 11:27:27,431 DEBUG: Instantiated Handler subclass __builtin__.NvidiaDriver173 from name NvidiaDriver173
2011-06-12 11:27:27,432 DEBUG: nvidia.available: falling back to default
2011-06-12 11:27:27,460 DEBUG: NVIDIA accelerated graphics driver availability undetermined, adding to pool
...
2011-06-12 11:27:28,198 DEBUG: ignoring unavailable handler xorg:nouveau([Nouveau3DHandler, free, enabled] Experimental 3D support for NVIDIA cards)
2011-06-12 11:27:28,270 DEBUG: nvidia.available: falling back to default
2011-06-12 11:27:28,286 DEBUG: got handler xorg:nvidia_current([NvidiaDriverCurrent, nonfree, enabled] NVIDIA accelerated graphics driver)
2011-06-12 11:27:28,299 WARNING: modinfo for module nvidia_173 failed: ERROR: modinfo: could not find module nvidia_173

2011-06-12 11:27:28,302 DEBUG: nvidia.available: falling back to default
2011-06-12 11:27:28,329 DEBUG: nvidia_173 is not the alternative in use
2011-06-12 11:27:28,319 DEBUG: got handler xorg:nvidia_173([NvidiaDriver173, nonfree, disabled] NVIDIA accelerated graphics driver)
2011-06-12 11:27:28,332 DEBUG: nvidia.available: falling back to default
2011-06-12 11:27:28,347 DEBUG: got handler xorg:nvidia_current([NvidiaDriverCurrent, nonfree, enabled] NVIDIA accelerated graphics driver)

syslog.1
Jun 11 14:22:49 mikah-M70Vm kernel: [ 14.449112] nvidia: module license 'NVIDIA' tain...

Read more...

Revision history for this message
Emilio (emilio-moretti) wrote :

I did it!!! finally!!!!!
As I was saying before. the graphic driver is not being used. When you see unity it's because you are using nouveau. Then you try to install the binary drivers, nouveau gets automatically removed, AND you can't start unity any more unless you activate the experimental 3D support (actually I'm not sure, I didn't try to run unity again with the open source drivers)

Solution:
Download the official drivers from nvidia.
We are NOT going to use the "Additional Drivers" tool nor apt to install the drivers. we are going to use the ".run" file from the nvidia site.

Edit /etc/default/grub (sudo gedit /etc/default/grub) change GRUB_CMDLINE_LINUX_DEFAULT=... to GRUB_CMDLINE_LINUX_DEFAULT="nomodeset" and do the same with GRUB_CMDLINE_LINUX

Example:
GRUB_CMDLINE_LINUX_DEFAULT="nomodeset"
GRUB_CMDLINE_LINUX="nomodeset"
#GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
#GRUB_CMDLINE_LINUX=""

save the changes and run:
sudo update-grub

Reboot your system. the following line is not needed but this way you will make sure nouveau is not running at all:
sudo modprobe -r nouveau

Now cd into the folder where you downloaded the file, chmod and run it as root
Example:
chmod 750 NVIDIA-Linux-x86_64-270.41.19.run
sudo ./NVIDIA-Linux-x86_64-270.41.19.run

Now say yes to everything, reboot the system, and you are ready to go!
Good luck!

Revision history for this message
Emilio (emilio-moretti) wrote :

One last thing! I almost forgot:

BEFORE doing the above steps you have to:
*Open "Additional Drivers" and remove all the nvidia drivers and nouveau drivers
*Remove nouveau xorg drivers: sudo apt-get --purge remove xserver-xorg-video-nouveau

AND here is ANOTHER POSSIBLE solution (you DON'T have to do the following steps if the first solution worked. I DIDN'T try them. Try at your own risk)

copy/paste from original source:

How to install NVidia driver in Fedora 13
-----------------------------------------

Fedora 13 comes with open source NOUVEAU driver for NVidia graphics card. To install the NVidia propriteray driver follow the below steps.

1) Blacklist the nouveau driver: Add below line to /etc/modprobe.d/blacklist.conf file
blacklist nouveau
2) Rebuild the initramfs image file using dracut:
* Backup the initramfs file
$ sudo mv /boot/initramfs-$(uname -r).img /boot/initramfs-$(uname -r).img.bak
* Rebuild the initramfs file
$ sudo dracut -v /boot/initramfs-$(uname -r).img $(uname -r)
3) Reboot the system to runlevel 3 (without graphics)
4) Check that nouveau driver is not loaded
$ lsmod | grep nouveau
5) Run the NVidia driver package
$ sudo ./NVIDIA-Linux-x86_64-195.36.15-pkg2.run
Above command will create xorg.conf file in /etc/X11 directory which is responsible to use NVidia driver in X.
6) Restart the system and NVidia driver will be used now.

Note 1: If nouveau driver is loaded in step 4, then follow any of the below step to prevent the loading of the driver
** Add below line to kernel parameter in grub while rebooting the system
rdblacklist=nouveau
** Rename the nouveau driver file
$ sudo mv /lib/modules/$(uname -r)/kernel/drivers/gpu/drm/nouveau/nouveau.ko /lib/modules/$(uname -r)/kernel/drivers/gpu/drm/nouveau/nouveau.ko.txt

Note 2: If a kernel update is installed then rerun the NVidia package again to rebuild the NVidia driver module against the new kernel.
Last edited by samkraju; 08-11-2010 at 12:38 AM.

I got the information from here: http://www.linuxquestions.org/questions/ubuntu-63/nouveau-kernel-driver-825432/

Revision history for this message
Emilio (emilio-moretti) wrote :

I just did a copy paste. so reading it in detail revealed that it's actually a fedora only solution. so you will have to use the first fix, or find a way to do something similar to the alternative fix in ubuntu.

Revision history for this message
keithy (keith-waller) wrote :

Wow, Emilio,

Thank you, Thank you, Thank you!!

At last I can use Natty with the graphics working correctly

I also improved my knowledge of ubuntu recovery in the process ;)

Not that your instructions weren't good!!

Revision history for this message
michael (mikahgiacchetti) wrote :

I'm wondering how this changes anything, jockey now reports no driver activated.. Basically nothing has changed, the driver is still *working* as it was before (I can tell when the driver is running because of the Nvidia splash screen i get upon every boot)

Is jockey reporting no drivers loaded a major issue?

Revision history for this message
Emilio (emilio-moretti) wrote :

michael, you are right. Jockey is not showing the drivers as being in use, my fix doesn't try to do that. I just pointed to a workaround to be able to use nvidia drivers in systems that were not being able to load the driver at all, where jockey was failing 100% to enable the driver.

A few hours ago I wasn't able to use unity at all, with or without jockey. and the "automatic" installation from "Additional Drivers" was not working. Now I can use the drivers from the official nvidia site, so basically I don't have to worry if jockey likes that or not. They are working and I can manually update them whenever I want :)

As I can see from your Xorg.0.log, you have a different situation, because Xorg IS using nvidia drivers in your setup (this wasn't my case), but jockey is ignoring it.

In summary, there are two bugs:
* Automatic installation is NOT enabling nvidia drivers and nouveau is being used even when the user explicitly tries to disable it (you can use the fix I posted to install the drivers)
* Automatic installation is enabling nvidia drivers but it's showing them as not being used.

Revision history for this message
michael (mikahgiacchetti) wrote :

Well, I thought this bug was for Automatic installation is enabling nvidia drivers but it's showing them as not being used. (as the title states)

Revision history for this message
Emilio (emilio-moretti) wrote :

There is a mix of issues here. since the duplicated bugs point here, and they clearly show people without Unity nor OpenGL support at all. I found some comments about the same problem here, and I find a quick fix, so I wanted to help those who needed it.

Revision history for this message
James MAsters (miahbr) wrote :

Now this is confusing indeed!, I am not really fussed about who is to blame at this moment. If it is jockey then will it be fixed?

Emilio, the workaround, what were the test conditions? and can this method be duplicated and work for everyone with a Nvidia driver?

Obviously no-one really wants to cause further issues with their system.

Revision history for this message
George (gnwiii) wrote : Re: [Bug 771788] Re: nVidia driver activated and apparently being used but reported as not being used by jockey-gtk

On Sun, Jun 12, 2011 at 11:00 PM, Emilio <email address hidden> wrote:

> There is a mix of issues here. since the duplicated bugs point here, and
> they clearly show people without Unity nor OpenGL support at all. I
> found some comments about the same problem here, and I find a quick fix,
> so I wanted to help those who needed it.

The confusion shows why it is important that tools like jockey give
reliable information.

--
George N. White III <email address hidden>
Head of St. Margarets Bay, Nova Scotia

Revision history for this message
Hansen (moteprime) wrote :

Sorry for the late reply, I was away on extended weekend.
My "sudo lshw -C display" displays:

  *-display
       description: VGA compatible controller
       product: G98 [GeForce 8400 GS]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:fa000000-faffffff memory:e0000000-efffffff memory:f8000000-f9ffffff ioport:7c00(size=128) memory:fbfe0000-fbffffff

So it appears that the Nvidia driver is loaded and that Jockey displays the wrong status of the driver.
I have attached my "Xorg.0.log"

Revision history for this message
W R Chisholm (wrchis) wrote :

I tried manually installing the proprietary nvidia drivers several weeks ago using the instructions on the nvidia website for dealing with the nouveau problem. It did not improve things much and failed several days later and the only way I could get 3d back up was to reinstall the proprietary drivers through jockey. The fail makes me suspect that part of the nouveau weed effect may be driven by system updates to related parts of the system (apt wanting to uninstall so much along with nouveau throws even more suspicion here). Is there a detailed log of updates somewhere on the system that could show a dependency interaction? I have a bad habit of letting update run on its own without watching exactly what it is happening at every step along the way as long as the update notes seem reasonable.

Gustavo (gnvega)
Changed in jockey (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Gustavo (gnvega) wrote :

Sorry, change the state without realizing it, I'm sorry I did not know that anyone could change and now I can not fix again, sorry: (
I speak Spanish, I translated it with Google translator.

Changed in jockey (Ubuntu):
status: Fix Released → In Progress
Revision history for this message
Gustavo (gnvega) wrote :

Thank you very much Pedro Villavicencio, sorry for ignorance. Would kill me haha!
Translated by Google.

Revision history for this message
Alex Luya (alexander-luya) wrote :

My laptop configuration is:
Acer 4741g
CPU: intel i3-330M
vc : nvidia GT33M

Few days ago, I upgraded 10.10 to 11.04,then installed recommended nvidia driver via jockey,by the way,the upgrading is done under macbuntu 10.10,and I noticed that no package about unity has been installed,and current gnome version is :2.32.1.And current problems is:
-----------------------------------------------
1,no Visual Effects tab in appearance panel
2,all options are grayed and can be set/changed in compizconfig-setting mananger
3,jockey says driver activated but not in use.
----------------------------------------------
But I think nvidia driver is in use actually,because I can see nvidia's big login screen logo on system login and can use nvidia setting manager to set dual monitor.
          I think the priority of this bug should be set high.

Revision history for this message
michael (mikahgiacchetti) wrote :

@alex afaik, there is no "visual effects" in the Appearance panel as of 11.04... Confirmed in #ubuntu on freenode.

Revision history for this message
Goffredo Marocchi (panajev) wrote :
Download full text (4.8 KiB)

It affects my system at work as well. Both with regular Xorg stack as well as with the edgers' repo.
I am running with the 173.x drivers which have the common "active... but not in use" problem as others have mentioned here before. Also, the standard Xorg configuration nVIDIA generates does not correctly recognizes the PCI address of the card so I had to comment that line out just to boot Ubuntu with the nVIDIA drivers (either that or deleting the xorg.conf file did the trick). GL feels very slow too although glxgears reports FPS to be above 1,000. lsmod does show "nvidia 8107272 36" BTW.
Ubuntu Classic *(with effects) does work, while Unity does not. I do not see menus and I see desktop icons appearing and disappearing very quickly. Not usable at all running Unity.

-----------------------------------------
Unity support test:
/usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: Quadro PCI-E Series/PCI/SSE2
OpenGL version string: 2.1.2 NVIDIA 173.14.30

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes
-----------------------------------------

-----------------------------------------
dpkg -l | grep -i nvidia
ii nvidia-173 173.14.30-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-common 0.2.30 Find obsolete NVIDIA drivers
ii nvidia-settings 275.09.07-0ubuntu1~edgers~natty Tool of configuring the NVIDIA graphics driver
-----------------------------------------

-----------------------------------------
lspci |grep -i nvid
40:00.0 VGA compatible controller: nVidia Corporation NV37GL [Quadro PCI-E Series] (rev a2)
-----------------------------------------

-----------------------------------------
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings: version 275.09.07 (buildd@charichuelo) Wed Jun 15 20:08:12 UTC 2011

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig: version 1.0 (buildmeister@builder58) Sat Apr 16 22:49:04 PDT 2011

Section "ServerLayout"
    Identifier "Layout0"
    Screen 0 "Screen0" 0 0
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "Mouse0" "CorePointer"
    Option "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "InputDevice"
    # generated from default
    Identifier "Keyboard0"
    Driver "kbd"
EndSection

Section "InputDevice"
    # generated from default
    Identifier "Mouse0"
    Driver "mouse"
    Option "Protocol" "auto"
    Option "Device" "/dev/psaux"
    Option "Emulate3Buttons" "no"
    Option "ZAxisMapping" "4 5"
EndSection

Section "Monitor"

    # HorizSync source: edid, VertRefresh source: edid
    Identifier "Monitor0"
    VendorName "Unknown"
    ModelName "Samsung SyncMaster"
    HorizSync 30.0 - 81.0
    VertRefresh 56.0 - 75.0
    Option "DPMS"
EndSection

Section "Monitor"

    # HorizSync source: edid, VertRefresh source: edid
    Identifier "Monitor1"
    VendorName "Unknown"
    ModelName "Samsung SyncMaste...

Read more...

Revision history for this message
Goffredo Marocchi (panajev) wrote :
Revision history for this message
Ben McCann (benjamin-j-mccann) wrote :

I tried to install the driver from NVidia's site as Emilio suggested, but found it would not work. The 256.53 driver available on their site is incompatible with 2.6.38 kernel used by Natty. I get the message "error: unknown field ‘ioctl’ specified in initializer" and then "nvidia.ko failed to build" when compiling. It might be possible to downgrade the kernel to get it to work, but I don't particularly want to do that.

/usr/lib/nux/unity_support_test -p now says "Not software rendered: no" but it said yes before I started messing around with stuff. Any idea how I can get it changed back to yes?

This bug really needs to get fixed. Can we change the importance to high? The bugs with high importance affect far, far fewer people than this bug, so I think the prioritization is out of whack.

Revision history for this message
dino99 (9d9) wrote :

latest jockey.log from Oneiric i386 with nvidia-current 275.09.07 & jockey 0.9.2-0ubuntu7

Revision history for this message
dino99 (9d9) wrote :

previously failed to load from /var/log/, so copied into /home

Revision history for this message
surratta (surratta) wrote :

does anyone with inside knowledge have an update for this? I've been limping along with fairly lousy video performance on my desktop machine, and I'm thinking about what to do next. my experience since switching to Ubuntu has been 99.9% positive, with quick resolution to any issues that have cropped up. this has kept my hopes up regarding this issue as well. but it's hard to know whether anything's in the pipeline here at all.

I want to emphasize that this isn't a complaint. I haven't done anything to fix the issue, and I don't think I'd even know how to be helpful. and, in fact, I'm continually amazed at the quality of this operating system, top to bottom. and considering the price, well...

I'm just hoping for some inside information to know whether I should hold out a bit longer or figure out another path.

thanks for any information,
andy

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

suratta, this is not a bug report on graphical performance issues, but just on "jockey", that is the "Restricted drivers" application that helps you in installing proprietary drivers for your hardware if you need to. The issue is that the NVIDIA driver is being used but it does not show up as such in the "Restricted drivers" application (jockey). But in my case and other comments here we don't notice graphical performance problems.

I think that if you want to get attention to your graphical problems you should look for the appropriate bug report to comment there, or open a new one if you don't find one. This will provide much more information to the developers than commenting on this bug, where your graphical problem may probably get not the right attention from them.

Revision history for this message
surratta (surratta) wrote :

thank you, Walter.

I had assumed that my poor performance was due to this issue -- i.e., I also have the message "This driver is activated but not currently is use." (not that I made that clear in my post, mind you)

I will search elsewhere.

Revision history for this message
AdrianChallinor (adrian-challinor) wrote :

Walter,

Are you SURE its not a performnce problem? There are many people who report that the Gears app runs grindingly slow. My system ran very slow on graphical performance. It was no where near as crisp and smart as when using 10:10 (which I reverted to). Other reports are that the version of the module does not match the version of the OS, which would revent properloading of the module.

As an nVidia developer (I use CUDA) I was on a code line that could not wait, which is why I reverted. I am somewhat tempted to upgrade again and see exactly what is happening at the module level. And if necessary, recompile the modules to see what happens.

Adrian

Revision history for this message
Mark Fraser (launchpad-mfraz) wrote :

I'm sure it is causing performance issues as anything that uses VDPAU is running slower than it was in 10.10. I've also given up trying to do a clean install of Kubuntu with the Nvidia drivers and it kept hanging before the desktop loaded.

Revision history for this message
John Mish (jmish1987) wrote :

Not sure if this is related...

I've instlaled both Kubuntu 11.04 and Ubuntu 10.10 on my desktop with a MSI GeForce GTS 450 and both installations have the same results, except:

In Kubuntu 11.04, I get the famous "Activated but not in use" message, while in Ubuntu 10.10 I don't get this message.
Both installations used nvidia-latest, which at the time, was 275.09.07.
Both installations had no issue using Extra effects and decking out the desktops with all kinds of special effects.

After about 2-3 hours of computing, or opening anything using graphics (not sure the connection) everything display wise slows to a crawl, with framerates in the area of 3-4 fps. this happens when I play Minecraft (a java game), do ANYTHING with wine, even configuration, or if the screensaver takes over. Youtube seems to be fine. Looking at top, free -m and system monitor show no issue with high memory or CPU usage, so it must be something related to graphics. A quick check shows that the graphics card is not overheating or anything, either, because I can play Crysis 2 with almost max graphics settings without much of any lag on Windows without the thing overheating (that and the temp of the GPU is like..49-51C on a hot day)

this makes the PC absolutely useless until I can figure out how to fix it.

Revision history for this message
Mark Fraser (launchpad-mfraz) wrote :

Not sure if it is related to this bug, but I loaded up PlayOnLinux for what must've been the first time since upgrading to 11.04 and whenever it starts, I get an error box saying something like "3D acceleration isn't enabled".

Revision history for this message
Gustavo (gnvega) wrote :

Hello, long time that this bug. When will it be fixed?

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi dears,

since there is harsh discussion about this problem, I've searched the Internet today and found, that nvidia seems moving. They have opened up a Bugreport-page about this topic.

Look here:
http://forums.nvidia.com/index.php?s=dcae62a5157dea3918cd58cb09c8c057&showtopic=203643&st=20&p=1270537&#entry1270537

So it would be the best, if we all signed up there and pushed all this information in there, or?? Can someone be so good to do that for all of us???

Greetings
Linuxexperte

Revision history for this message
xtsbdu3reyrbrmroezob (xtsbdu3reyrbrmroezob) wrote :

This bug is back in oneiric. Seems like a regression...

tags: added: oneiric
tags: added: ui
Revision history for this message
damormino (david-amormino) wrote :

Alpha 3 or Ubuntu 11.10 64-bit has this problem. After a standard installation, NVIDIA version 280.13 is being used. And NVIDIA X Server Settings is also installed.

The Additional Drivers dialog says No proprietary drivers are in use and offers NVIDIA accelerated graphics driver (version current).

Selecting Activate gives dialog error: SystemError: E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Here are the last few messages from /var/log/jockey.log:
2011-08-09 08:41:46,709 DEBUG: NVidia(nvidia_current).enabled(): target_alt None current_alt /usr/lib/nvidia-current/ld.so.conf other target alt None other current alt /usr/lib/nvidia-current/alt_ld.so.conf
2011-08-09 08:41:46,709 DEBUG: nvidia_current is not the alternative in use
2011-08-09 08:41:53,735 DEBUG: Installing package: nvidia-current:i386

Revision history for this message
fleamour (gtx-swift) wrote :

Confirmed 11.04 paired with NVIDIA GeForce GT220. Driver not running as no desktop effects. Jockey states as activated but not being used.

Revision history for this message
Svilen (svilen-v) wrote :

Confirmed GT 520. But reboot after deactivating and activating the driver again, and although it reports the same thing, it appears to be using the proprietary driver. So far so good, hope this thing lasts.

Revision history for this message
dino99 (9d9) wrote :

I've updated to new jockey-gtk 0.9.4-0ubuntu3 that fix the previous crash on Oneiric i386, but now no driver found when "additional drivers" is run: the list is empty.

oem@oem-desktop:~$ sudo jockey-gtk
[sudo] password for oem:
Exception in thread thread_call_progress_dialog:
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 552, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/threading.py", line 505, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 143, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Python.KeyError: Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/service.py", line 702, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 175, in detect
    self._detect_handlers()
  File "/usr/lib/python2.7/dist-packages/jockey/backend.py", line 773, in _detect_handlers
    hardware=self.hardware):
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 1001, in get_handlers
    available_handlers.update(get_db_handlers(backend, db, hardware, mode))
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 1029, in get_db_handlers
    h = _driverid_to_handler(did, backend, mode)
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 739, in _driverid_to_handler
    (not h.package or not did['package'] or h.package == did['package']):
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 134, in __getitem__
    return self.properties.__getitem__(key)
KeyError: 'package'

Revision history for this message
dino99 (9d9) wrote :

i've reinstalled all the nvidia packages, then logout/login but still get the same terminal output, with an empty driver list.

Revision history for this message
dino99 (9d9) wrote :

jockey.log on Oneiric i386 (0.9.4-0ubuntu3)

Revision history for this message
Martin Pitt (pitti) wrote :

dino99, your last backtrace is tracked in bug 837495; it's unrelated to the original problem here.

Revision history for this message
dino99 (9d9) wrote :

Oneiric i386 feedback: its fixed now on my system with the latest updates

steps followed:
- purged all the related installed nvidia packages
- installed: nvidia-common 1:0.2.35 nvidia-current 280.13-0ubuntu3 nvidia-settings 280.13-0ubuntu2

jockey output still durty: too many entries
- nvidia graphics driver (version 173) (entry localized, driver not activated)
- nvidia graphics driver (version current) (recommended): entry localized, driver activated AND used
- nvidia binary xorg driver, kernel module and vdpau library: not activated
- nvidia_current: not activated

so needs some more cleaning

Revision history for this message
Dan Clark (wpu-clark) wrote :

I think this is related. I am a linux newbie, so I am not 100% sure. Anyway I was attempting to use WebGL, but I found out that it was either disabled or unavailable. Anyway, I went through the logs for Jockey and found the following.

2011-09-10 19:04:09,967 DEBUG: reading modalias file /usr/share/jockey/modaliases/disable-upstr
eam-nvidia
2011-09-10 19:04:10,023 DEBUG: loading custom handler /usr/share/jockey/handlers/nvidia.py
2011-09-10 19:04:10,033 WARNING: modinfo for module nvidia_96 failed: ERROR: modinfo: could not
 find module nvidia_96

2011-09-10 19:04:10,034 DEBUG: Instantiated Handler subclass __builtin__.NvidiaDriver96 from na
me NvidiaDriver96
2011-09-10 19:04:10,034 DEBUG: nvidia.available: falling back to default
2011-09-10 19:04:10,108 DEBUG: XorgDriverHandler(nvidia_96, nvidia-96, None): Disabling as pack
age video ABI xorg-video-abi-8 does not match X.org video ABI xorg-video-abi-10
2011-09-10 19:04:10,108 DEBUG: NVIDIA accelerated graphics driver not available
2011-09-10 19:04:10,114 DEBUG: Instantiated Handler subclass __builtin__.NvidiaDriverCurrent fr
om name NvidiaDriverCurrent
2011-09-10 19:04:10,114 DEBUG: nvidia.available: falling back to default
2011-09-10 19:04:10,168 DEBUG: NVIDIA accelerated graphics driver availability undetermined, ad
ding to pool
2011-09-10 19:04:10,168 DEBUG: Could not instantiate Handler subclass __builtin__.NvidiaDriverBase from name NvidiaDriverBase
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/jockey/detection.py", line 947, in get_handlers
    inst = obj(backend)
TypeError: __init__() takes exactly 3 arguments (2 given)
2011-09-10 19:04:10,174 WARNING: modinfo for module nvidia_173 failed: ERROR: modinfo: could not find module nvidia_173

2011-09-10 19:04:10,175 DEBUG: Instantiated Handler subclass __builtin__.NvidiaDriver173 from name NvidiaDriver173
2011-09-10 19:04:10,175 DEBUG: nvidia.available: falling back to default
2011-09-10 19:04:10,230 DEBUG: NVIDIA accelerated graphics driver availability undetermined, adding to pool

I am running this on 11.04 with an Nvidia 310M, and I am not really sure what I need to do to get this fixed.

Revision history for this message
Turtleman (alexthesimba) wrote :

Not sure whether a proper solution has been posted, but I figure I add my situation into the mix.

Confirmed Bug!

Graphics Card: Nvidia GeForce 8600 GTS

Operating System: Ubuntu 11.04 64 bit

Additional Details: As the bug thread mentions, Unity and video games are running, but the Additional Drivers dialog says "Nvidia Driver activated, but not in use".

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi people,

can confirm this here in LinuxMint 11.

A few days ago, a new kernel arrived: 2.6.38-11. Since this kernel, the proprietary nvidia-driver has come back to work. But jockey-output still is a fals-output, since it reports, that this driver "is activated but not in use". But this is - as I just stated - a wrong output! This driver works.

This can be checked through several ways:

first way: open your Nvdia-settings and check the version there.

second way: open your terminal and type in this:

/usr/lib/nux/unity_support_test -p

The Output of this should look something similar to the one here: http://askubuntu.com/questions/37084/nvidia-driver-activated-but-currently-not-in-use

The third trick is this: again open your Terminal and type in this:

sudo lshw -C display

The Output of this again should also look something similar to the output shown on the link above. So you see, the driver works, but jockey still reports a wrong output. So it comes clearer now, that this is a wrong stating of jockey-gtk and that we are faced with a bug in jockey-gtk which needs to be fixed as it can lead to confusion.

Greetings
Linuxexperte

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

It is working fine in my system with Ubuntu 11.10 Beta 1, it is showing correctly which driver is being used and it is saying it is active and in use.

Revision history for this message
Bowmore (bowmore) wrote :

It seems to be fixed now in Oneiric Beta 1.

$ jockey-text -l
xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
kmod:nvidia_current - nvidia_current (Proprietary, Disabled, Not in use)

and under Additional Drivers it now says:
This driver is activated and currently in use

Source packages (amd64):
jockey 0.9.4-0ubuntu6
nvidia-graphics-drivers 280.13-0ubuntu3

Revision history for this message
michael (mikahgiacchetti) wrote :

If someone could let me know when AdrianChallinor gets is work email sorted and stops resending his standard out of office response, as I'm unsubscribing until then.

Revision history for this message
Linuxexperte (andrea-koeth) wrote : Re: [Bug 771788] Re: nVidia driver activated and apparently being used but reported as not being used by jockey-gtk

hi dear,

I already contacted him to stop this mass-sending of this notice. I have
already marked these as spam, because this already floods up my
emailaccount. I do also not like this, because I receive this message
already 40 times within 30 minutes!! This is unnecessary!!!

Greetings
Linuxexperte

Am 17.09.2011, 15:34 Uhr, schrieb michael <email address hidden>:

> If someone could let me know when AdrianChallinor gets is work email
> sorted and stops resending his standard out of office response, as I'm
> unsubscribing until then.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi michael,

I already contacted Adrian to get his email sorted and to stop spamming. My email-inbox already gets flooded from his spam with out-of-office-notice!! I have marked it as spam and unwanted to stop this.

I think, I will also unsubscribe until then. I don't hope, he is victim of a spambot!!!

Greetings
Linuxexperte

Revision history for this message
yossarian_uk (morgancoxuk) wrote : Re: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: [Bug 771788] Out of office reply (was: Out of office reply (was:

STOP THE FUCKING AUTO RESPONDER !!!!!!!!!!!!!!

On 19 September 2011 10:22, AdrianChallinor <email address hidden>wrote:

> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (576153).
> https://bugs.launchpad.net/bugs/771788
>
> Title:
> nVidia driver activated and apparently being used but reported as not
> being used by jockey-gtk
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/jockey/+bug/771788/+subscriptions
>

Revision history for this message
Martin Pitt (pitti) wrote :

Argh, saw the email flood over the weekend. Escalating to IS team now to disable the account, or at least the email addresses.

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi hi Martin,

I can only say: yes please do so. Because my email-account is overflooded by messages of this autoresponder!! Something seems to be wrong with it. I had more than 125 of these messages overnight until this morning and I had to clean out my complete email-account from this spam!!!

Please disable this email-account and this user-account of Adrian!!! And please tell him, the he possibly got victim of a spambot!!!

Please stop this flooding of our emaail-accounts for our all favor and to come back to the real important facts of this topic!!

Greetings
Linuxexperte

Revision history for this message
yossarian_uk (morgancoxuk) wrote : Re: [Bug 771788] Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: Out of office reply (was: [Bug 771788] Out of offic

thanks - sorry for the tone of my last email btw..

On 19 September 2011 10:58, AdrianChallinor <email address hidden>wrote:

> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (576153).
> https://bugs.launchpad.net/bugs/771788
>
> Title:
> nVidia driver activated and apparently being used but reported as not
> being used by jockey-gtk
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/jockey/+bug/771788/+subscriptions
>

Revision history for this message
Martin Pitt (pitti) wrote :

Seems I can't reproduce this bug on current oneiric. Is there anyone here who still has this bug, and can give me a temporary ssh account on an affected machine, so that I can debug this? Please catch me on IRC ("pitti" in #ubuntu-desktop on freenode), or on jabber (<email address hidden>).

Changed in jockey (Ubuntu):
status: In Progress → Incomplete
Revision history for this message
Martin Pitt (pitti) wrote :

I debugged this on a machine of an affected user, but on natty. The nvidia handler calls this code to check whether the driver is in use:

        return KernelModuleHandler.module_loaded(self._module_alias) and \
               self._alternatives.resolve_module_alias(self._module_alias) == self.module and \
               (self.package is None or OSLib.inst.package_installed(self.package))

where
   self._module_alias == nvidia
   self.module == nvidia_current
   module_loaded() returns True (correctly)
   self.package == nvidia-current
   package_installed() returns True (correctly)

so the thing that fails here is self._alternatives.resolve_module_alias(self._module_alias), which returns None.

Seems this is a bug in nvidia-common then, reassigning and handing over to Alberto. This might well be fixed in oneiric, so it would still be nice if someone could test this on current oneiric.

Thanks!

affects: jockey (Ubuntu) → nvidia-common (Ubuntu)
Changed in nvidia-common (Ubuntu):
assignee: Martin Pitt (pitti) → Alberto Milone (albertomilone)
status: Incomplete → Confirmed
Changed in jockey:
status: Confirmed → Invalid
Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

I'm running Oneiric fully updated and it is working fine, on the system where I reported the bug. I attach a screenshot on how "Additional drivers" looks now.

Revision history for this message
dino99 (9d9) wrote :

Confirm that its working well now with Oneiric i386 b2 using the genuine nvidia packages from Oneiric repo (280.13) & 8500gt

Revision history for this message
andyW (andy-wbrook) wrote :

Working well for 5 days now with Oneiric, AMD64, Nvidia Geforce GTS 450.

Revision history for this message
Martin Pitt (pitti) wrote :

Thanks for checking this again on oneiric! Closing then.

Changed in nvidia-common (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

As far as I'm concerned I've seen no improvement, still stuck on 2d on 11.04 as well as on 11.10 (recently updated). The only change is that now Hardware Drivers tells me "this driver is installed AND used". But on System Informations>Graphic Cards, it says I've got NO driver installed. Should I start a new bug report?

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi Alessandro,

one question: did you do a reboot after installing this driver?? Normally, it is necessary to reboot the system after installation to get this driver into action.

You also can test the successfull installation with the instruction here:

http://askubuntu.com/questions/37084/nvidia-driver-activated-but-currently-not-in-use

With this instruction, you will see, that your driver is in use after rebooting your system. And you also notice the successfull installation through an immediate downdrop of your GPU-temperature and the icon for the GPU in your panel (if you have sensors-applet in your panel) also changes to the correct one.

Greetings
Linuxexperte

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Of course I did, actually I tried all of the four versions Hardware Drivers proposed. I've been experiencing this bug since six months at least, since when I updated to 11.04. Now I'm running 11.10 but nothing has changed.

Unity support test:
Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: yes

Revision history for this message
Linuxexperte (andrea-koeth) wrote : Re: [Bug 771788] Re: nVidia driver activated and apparently being used but reported as not being used by jockey-gtk

hi Allessandro,

the output you sent, shows that the driver actually works, but the
kockey-gtk output still is wrong.
What does the temperature of your GPU say and the CPU-temperature??

And did you check the other reasonable tests shown on the link I posted??

So this actually is a jockey-gtk-problem, because the driver actually
works for you but jokey still gives
a wrong output.

Greetings
Linuxexperte

Am 21.10.2011, 14:48 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Of course I did, actually I tried all of the four versions Hardware
> Drivers proposed. I've been experiencing this bug since six months at
> least, since when I updated to 11.04. Now I'm running 11.10 but nothing
> has changed.
>
> Unity support test:
> Not software rendered: yes
> Not blacklisted: yes
> GLX fbconfig: yes
> GLX texture from pixmap: yes
> GL npot or rect textures: yes
> GL vertex program: yes
> GL fragment program: yes
> GL vertex buffer object: yes
> GL framebuffer object: yes
> GL version is 1.4+: yes
>
> Unity 3D supported: yes
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

01:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev a1)

  *-display
       description: VGA compatible controller
       product: G98 [GeForce 8400 GS]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:18 memory:fa000000-faffffff memory:d0000000-dfffffff memory:f8000000-f9ffffff ioport:dc00(size=128) memory:fbee0000-fbefffff

CPU Temperature according to NVIDIA utilities: minimum ~50° maximum ~64°. Please notice this is (8400 GS) a FANLESS model, so it should be rather "hotter" than fan cooled models.

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi Allessandro,

I have somewhat lower temperatures than you in the meantime. With my
Notebook, temperatures are down to
45 degrees (for GPU) and 47 degrees for my CPU.

And also your output shows, that the driver actually works good for you.
The termperatures, you write about
are really normal with thep proprietary driver and this is by far less
thant the temperatures with the
nouveau driver. Because with the opensource nouveau-driver, temperatures
would be at about nearly 80 degrees
until up to a 86 as peek. And this will damage each GPU and for the
graphiccard, this would mean the ultimative
death.

You write, that the graphiccard should be rather hotter. No, this is not
good for your graphic, if it would
turn hotter than 70 degrees. I had the peak at an 86 degrees with the
nouveau driver and it nearly made my
graphiccard melt down!!! This would kill your graphic.

This means: the lower the GPU-temperature is, the better it is for your
graphic.

Greetings
Linuxexperte

Am 23.10.2011, 12:29 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> 01:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400
> GS] (rev a1)
>
> *-display
> description: VGA compatible controller
> product: G98 [GeForce 8400 GS]
> vendor: nVidia Corporation
> physical id: 0
> bus info: pci@0000:01:00.0
> version: a1
> width: 64 bits
> clock: 33MHz
> capabilities: pm msi pciexpress vga_controller bus_master
> cap_list rom
> configuration: driver=nvidia latency=0
> resources: irq:18 memory:fa000000-faffffff
> memory:d0000000-dfffffff memory:f8000000-f9ffffff ioport:dc00(size=128)
> memory:fbee0000-fbefffff
>
> CPU Temperature according to NVIDIA utilities: minimum ~50° maximum
> ~64°. Please notice this is (8400 GS) a FANLESS model, so it should be
> rather "hotter" than fan cooled models.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Well, I think my card is a tough nut to crack, it's been doing well for 6 months with Ubuntu 11.04 without any proprietary driver installed, and, frankly, I never checked the temperature before you asked me to do so.
So, now, how can I enjoy some 3d experience?
Should I open another bug report, since it seems this one's been solved?

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

I don't know if this has something to do with the bug but xdiagnose reports:
Failed to load module "nv" (module does not exist, 0)

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Hi Allessandro,

how did you install the proprietary Nvidia-driver?? Via jockey-gtk or via
the control-center?? or did you manually download and install it?? Or do
you still use the opensource nouveau-driver?? This nouveau-driver should
better not be used!! This will kill your GPU, because the GPU-temperature
comes
by far too hight with that opensource nouveau-driver. That's why I
recommend the proprietary one.

For me, it is like that, that jockey still reports a wrong output in
natty. But the driver itself works according to the checks, which are
recom-
mended in the links, I had posted before. The results I got on my machine
correspond to the once shown on these links and temperature of the
GPU has come down since some weeks, since I installed this proprietary
driver through the control-center.

Greetings
Linuxexperte

Am 04.11.2011, 17:55 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> I don't know if this has something to do with the bug but xdiagnose
> reports:
> Failed to load module "nv" (module does not exist, 0)
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi
I installed the driver via the control-center. It was apparently automatically installed after a fresh install (version 173). Since it unity still didn't work I decided to install the last one (version-current-updates). Both are proprietaries. Never used any open-source driver, always proprietary ones.
Temperature is 50°~60°, but the real issue is NO 3D SINCE ALMOST A YEAR!!! Do you get 3d effects?

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi Allessandro,

yep, I have 3D-effect running on my machine. But what is not working
properly for me is the Gnome3-desktop. Nautilus crashes when
klicking the icon in the dock. But what is strange to me is, that I can
open nautlus through Atl+F2 and gksu nautilus. That means,
I can only open Nautilus as root. But what I want to know: why is that??

And hwat also is strange to me: when I want to logg into the normal
Gnome2-desktop, I get the error-message: failed to load "Gnome-
Classic" session. I also don't know, why that is. I am still looking for
figuring that out.

But for comeing back to the proprietary driver: yep, for me this driver
works fine and also film-videos have cool 3D-effects now.
you will find out if this works, if you follow the instructions shown in
the links, I posted in my previous comments and also I do
not experience any emergency-shutdown anymore, since I use nvidia-current.
Also the overheating-problems are gone since I use this
driver since a few weeks now.

I am really happy with this new nvidia-driver. And as I said: the
proprietary ones are the resue for the nvidia-graphic-cards because
the opensource one (nouveau-driver) would have killed my GPU and my
graphiccard. If I had continued useing the opensource-one, my GPU
would have died within two or three weeks.

Greetings
Linuxexperte

Also gaming is no problem anymore.

Am 06.11.2011, 20:11 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi
> I installed the driver via the control-center. It was apparently
> automatically installed after a fresh install (version 173). Since it
> unity still didn't work I decided to install the last one
> (version-current-updates). Both are proprietaries. Never used any
> open-source driver, always proprietary ones.
> Temperature is 50°~60°, but the real issue is NO 3D SINCE ALMOST A
> YEAR!!! Do you get 3d effects?
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi
I followed all the instructions you provided me with, even before you came out with that link (I already knew about it), and there's still no way to get 3d effects working on my system.
It seems I'm the only one here still experiencing problems. Damn.
Greetings.

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Hi Allessandro,

I have read all your information you provided for me. Your problem really
seems strange to me. Can you tell me,
which graphiccard you have and which machine you are working with
(company-name of the producer and model of
your machine). Perhaps I can try to find further hints in the Internet.

For me, this driver works fine and I have 3D-effects on and working. But
nautilus in Gnome3 does still not work
for me a user, only as root and I do not understand why that is. I went
 from Gnome2 to Gnome3 in LinuxMint 11
(based on natty) through installing the recommended ppa-repositories. The
most apps work so far. But I can only
access my personal files as root and not as normal user.

If I click on the nautilus-icon in this dock provided in Gnome3, then
nautilus crashes for me as normal user.
Even nautilus-actions crash and do not work. Then as the next strange
thing, I discovered that all extensions
of Gnome3 do not work in natty. But I found out through the net, that this
should work in oneiric. So I am hard-
ly waiting for the RC of LinuxMint 12 to come to the light of the world.
It is scheduled for November this year.

Let's see, if this will be fixed until then. And I would be happy, if
these extensions and nautilus would come
back to work as normal user. Because I preferr to work as normal user and
not as root.

OK Allessandro, that's it for so far. Please provide me the information I
asekd you for and I am happy to read
 from you soon.

Greetings
Linuxexperte

Am 07.11.2011, 00:12 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi
> I followed all the instructions you provided me with, even before you
> came out with that link (I already knew about it), and there's still no
> way to get 3d effects working on my system.
> It seems I'm the only one here still experiencing problems. Damn.
> Greetings.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

It's not a branded but an assembled computer.

System Information says:

Memory: 3,9 Gb
Processor: AMD Athlon(tm) II X2 250 Processor × 2
Graphic card: UNKNOWN (that's the problem), it should be GeForce 8400
OS Type: 64-bit
Disk: 482,4 Gb

So, the Additional Drivers DOES recognize the graphic card, but System Information does NOT.

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Hi Alessandro,

if you have Ubuntu or LinuxMint installed, you can check this via your
Terminal. So open your Terminal and type in this:

lsusb (this lists all usb-devices on your computer; also internals)

lspci (this lists all the pci-devices in your machine)

Then copy&paste these outputs here into this topic and then we can see,
what is wrong with your machine.

Could you please do so?? Thi would be pretty helpful. Thanks in advance,
Linuxhelfer

Am Montag, den 07.11.2011, 13:42 +0000 schrieb Alessandro Ceschini:
> It's not a branded but an assembled computer.
>
> System Information says:
>
> Memory: 3,9 Gb
> Processor: AMD Athlon(tm) II X2 250 Processor × 2
> Graphic card: UNKNOWN (that's the problem), it should be GeForce 8400
> OS Type: 64-bit
> Disk: 482,4 Gb
>
> So, the Additional Drivers DOES recognize the graphic card, but System
> Information does NOT.
>

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
No problem. Here you are.

alessandro@bureau:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0566:3004 Monterey International Corp. Genius KB-29E
alessandro@bureau:~$ lspci
00:00.0 Host bridge: ATI Technologies Inc RX780/RX790 Chipset Host Bridge
00:02.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (external gfx0 port A)
00:06.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port C)
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB7x0/SB8x0/SB9x0 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Link Control
01:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev a1)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

Regards

Revision history for this message
Linuxexperte (andrea-koeth) wrote :
Download full text (4.4 KiB)

Hi Alessandro,

jetzt sehe ich, woran dein Problem krankt. Du hast von wegen eine
Noname-Grafikkarte. Du hast ebenfalls eine Nvidia-Graka
siehe diese Zeile aus deiner Ausgabe:

VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev
a1)

Das bedeutet: dein Rechner ist eine ATI-Technologie mit
Nvidia-Grafikkarte, in deinem Fall die GeForce 8400 GS.
Das bedeutet für dich: auch du brauchst den nvidia-current-Treiber. Den
installierst du in Gnome 3 über das neue
Control-Center, oder wenn dass nicht funktioniert, dann such bitte mal in
der Synaptic nach diesem Paket:

nvidia-current

Dazu wird dann automatisch noch das Paket nvidia-settings installiert. Bei
mir lief es gestern (ich hab mir auf meinem
Läppi gestern doch wieder die aktuelle Version von Ubuntu installiert)
ohne Probleme über die Synaptic.
Danach musst du deinen Rechner bitte neu starten (bitte sei etwas
geduldig, da es bischen dauern kann, bis dein Rechner
wieder auf dem Desktop ist (der Treiber wird bei Installation über die
Synaptic automatisch aktiviert). Das kannst du dann
über Nvidia-Settings sehen, dass du über das Menü starten kannst.
Außerdem kannst du in den ganzen von mir geposteten Links überprüfen, ob
bei dir dann 3D unterstütz wird. Dieser bisherige
quelloffene nouveau-Treiber bringt keine ausreichende 3D-Unterstützung
mit. Außerdem grillt der dir deine Graka durch!!
Da ist es dann kein Wunder, wenn du 3D nicht nutzen kannst. Du scheinst
bisher den quelloffenen Treiber nouveau zu benutzen.

Also: raus mit dem nouveau-Treiber und rein mit nvidia-current!!

Grüße
Linuxhelfer

Am 08.11.2011, 17:01 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> No problem. Here you are.
>
> alessandro@bureau:~$ lsusb
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 004 Device 002: ID 0566:3004 Monterey International Corp. Genius
> KB-29E
> alessandro@bureau:~$ lspci
> 00:00.0 Host bridge: ATI Technologies Inc RX780/RX790 Chipset Host Bridge
> 00:02.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge
> (external gfx0 port A)
> 00:06.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI
> express gpp port C)
> 00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA
> Controller [IDE mode]
> 00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0
> Controller
> 00:12.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
> 00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI
> Controller
> 00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0
> Controller
> 00:13.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
> 00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI
> Contro...

Read more...

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
Ahem... is it German? I don't understand German! :)
Regards

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi Alessandro,

you can install it via your own system and then it will be in the language
of your system. This is controlled through the control-center
of your own system. You don't need to download it from the internet!!!

Just use your control-center in Ubuntu or in your derivate, if you use
another Ubuntu-derivate.
So you have it easy, to install this driver.

Or if it doesn't work via your control-center, then just open your
synaptic, search for these packages:

nvidia-current

nvidia-settings

Install them, close synaptic and restart your machine, that's just it.

Greetings
Linuxexperte

Am 09.11.2011, 12:15 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> Ahem... is it German? I don't understand German! :)
> Regards
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Wait, who told you I'd downloaded it from the Internet? I never did that, I used control-center!

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

OK Alesandro.

But: if you used your contro-center, then it has installed the
english-version of this driver and everything should be fine afterwards.
Did you reboot your machine after installing this proprietary driver??

Greetings
your friend
Linuxexperte

Am 09.11.2011, 14:40 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Wait, who told you I'd downloaded it from the Internet? I never did
> that, I used control-center!
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
Nothing is fine, a month ago, after updating to 11.10, I tried all four versions (and rebooted afterwards):
1. 173
2. 173-updates
3. currents
4. current-updates
None of them works, actually I'm running 4. current-updates because that was the last thing I tried.

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

that's strange then. Because for me after installing LinuxMint or either
Ubuntu (right now) on my Notebook,
it went well in the first try. For me it works really fine. Then you
should really think about changing your
graphiccard.

Mine is this one: 02:00.0 VGA compatible controller: nVidia Corporation
C79 [GeForce 9200M G] (rev b1)

And this one works fine for me.

Then the next hint for you would be to install this ppa-repository here:

http://wiki.ubuntuusers.de/Grafikkarten/Nvidia/nvidia?highlight=ubuntu-x-swat

Perhaps this could solve your problem. It could be possible, that your
card is too new to be properly
supported by the older versions of the nvidia-driver. This ppa-repository
brings a newer one, which
should work fine for you. Or if you have already installed it, then purge
this ppa-repository and run
these commands in your terminal

sudo apt-get update

sudo apt-get dist-upgrade

Let these commands run through completely. Then afterwards, try to install
the proprietary nvidia-
driver.

Tell me, if these hints help you with your problem.

Greetings
Linuxexperte

Perhaps if you change your graphiccard??

Am 09.11.2011, 15:22 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> Nothing is fine, a month ago, after updating to 11.10, I tried all four
> versions (and rebooted afterwards):
> 1. 173
> 2. 173-updates
> 3. currents
> 4. current-updates
> None of them works, actually I'm running 4. current-updates because that
> was the last thing I tried.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
The ppa-repository because my card too new? But it's three to four years old!
And changing the card because Ubuntu has a bug? WTF??! What about re-opening this bug?

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Hi Allessandro,
three years is not an age for a graphiccard!! more than 10 years would be
something, where I would say this is old.
But not in your case as well as mine. My Laptop is also only nearly two
years old. And for a Notebook, this is also
not a real age!!!
I experienced the same problem with my Graphiccard, I posted in LinuxMint
9. So I had to install this ppa-repository
and that helped me out of a mess with my nvidia-card. For me, the
display-resolution was way to big in that former
release of LinuxMint. But since this new driver has been publised, I do
not have these problems anymore. And on this
link they also write that it can be possible, that LinuxMint, Ubuntu and
its derivates do not support such so new cards
properly and that's why this ppa-repository is really recommended.

The change of your graphiccard would only be for the very worst case, if
this ppa-repository won't help you out of your
problem. I don't think, that reopening this bug would help a lot. First
try that hint with this ppa-repository. But if
that should not help, then you should really think about changing that one.

Greetings
Linuxexperte

Am 09.11.2011, 19:14 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> The ppa-repository because my card too new? But it's three to four years
> old!
> And changing the card because Ubuntu has a bug? WTF??! What about
> re-opening this bug?
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
OK, I'll try this BUT I don't think it'll work. Remember this:

Unity support test:
Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: yes

So WTF is wrong here, and why should I buy a new card when the system says it's not blacklisted? Buying a new card is acceptable only when the card is blacklisted, otherwise it's not my fault. It's up to Ubuntu developers to solve my problem.

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi Allessandro,

according to this output, it should work. It would be strange, if it would
not work. Because for me, it works and I also
have nearly the same output as you do. It is really strange, if this is
not working.

Greetings
your friend
Linuxexperte

Am 09.11.2011, 22:54 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> OK, I'll try this BUT I don't think it'll work. Remember this:
>
> Unity support test:
> Not software rendered: yes
> Not blacklisted: yes
> GLX fbconfig: yes
> GLX texture from pixmap: yes
> GL npot or rect textures: yes
> GL vertex program: yes
> GL fragment program: yes
> GL vertex buffer object: yes
> GL framebuffer object: yes
> GL version is 1.4+: yes
>
> Unity 3D supported: yes
>
> So WTF is wrong here, and why should I buy a new card when the system
> says it's not blacklisted? Buying a new card is acceptable only when the
> card is blacklisted, otherwise it's not my fault. It's up to Ubuntu
> developers to solve my problem.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
That's it, that's why I requested you reopen this bug, control center says this driver is installed and used, but Unity somehow refuses to see it, the problem is Unity, not my card.
Regards

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

And what if you used Gnome-Shell instead of Unity?? For me, Unity uses
this proprietary driver. I have no problem with that.
I hope, that you will get your problem solved.

Greetings
Linuxexperte

Am 10.11.2011, 12:25 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> That's it, that's why I requested you reopen this bug, control center
> says this driver is installed and used, but Unity somehow refuses to see
> it, the problem is Unity, not my card.
> Regards
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea
What's Gnome-shell? The standard shell till 10.11? It doesn't give me the 3d back, I already tried this. The funny thing is that 3d worked till back 10.11 times, and also before. Since 11.04 everything is gone.
Now, what should I do, open another bug?

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Hi Alessandro,

Gnome-Shell is an alternative Desktop-environment to Unity. You can find
that out here:

http://wiki.ubuntuusers.de/Gnome_Shell?highlight=Gnome-Shell

This Desktop-Environment works so pleasing for me and with 3D-Support. And
here in the latest Firefox-Version, I can
also use Torbutton again!! Perhaps if you install Gnome-Shell and use this
instead of Unity??? The current version
of Gnome-Shell in Ubuntu 11.10 is 3.2.1 And there, the extensions come
back to life if you also install this ppa-repository
here: https://launchpad.net/~webupd8team/+archive/gnome3

And then you need to reboot your machine and select GNOME als your Desktop
and then you are in Gnome-Shell and there, 3D
should work for you too. Becuase the output in your last posting said,
that 3D-effects work for you. So it should work.

Greetings
Linuxexperte

Am 10.11.2011, 14:24 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
> What's Gnome-shell? The standard shell till 10.11? It doesn't give me
> the 3d back, I already tried this. The funny thing is that 3d worked
> till back 10.11 times, and also before. Since 11.04 everything is gone.
> Now, what should I do, open another bug?
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea

You don't belong to the bug team, do you?

Before resorting to "alternative" remedies I want the guys up there to tell me frankly they WON'T FIX my issue.

I want them to put it squarely they don't give a damn about my problem.

Thanks

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

Hi my friend,

noo...I don't belong to the bug-team. :) But I already gained some
experience in this matter through going to such
things myself and help myself with these hints. For me, these hints did it
through several distros now.
And before I do a bugreport, I try to help myself. I don't want to bother
the bugteam. And thorugh helping
yourself, you also learn something in Linux.

But to be honest: there is already a long forum at nvidias homepage about
things like that. You could use Google to
find out the forum at nvidia. The bugteam here can't do anything, before
nvidia hasn't done something on that. They
also have to relie on nvidia before being able to do something.

Greetings
Linuxexperte
Am 10.11.2011, 15:28 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
>
> You don't belong to the bug team, do you?
>
> Before resorting to "alternative" remedies I want the guys up there to
> tell me frankly they WON'T FIX my issue.
>
> I want them to put it squarely they don't give a damn about my problem.
>
> Thanks
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea

Wait. What you say would be true if the problem stemmed from the Nvidia drivers, but this seems not to be the case, the reality is that Unity is to be blamed, for the driver works well. I surfed many forums but they don't give me more pieces of information than I already have: usually everything revolves around installing drivers, forcing Unity start bla bla bla... I've already tried all that stuff and certainly I cannot say I didn't do something about that. Actually I've been trying everything. To no avail.

So why doesn't the bug team tell me they won't just solve that UNITY bug, it's Unity the problem, not the nvidia-driver, otherwise the control panel wouldn't tell me that the driver is IN USE.

When the nvidia-driver was buggy it used to tell me it was NOT IN USE. But now the situation has changed: it's IN USE.

Would someone please take notice, that I've got a problem with UNITY NOT WITH NVIDIA-DRIVERS?

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

@Alessandro, this bug was exclusively on the drive being reported as not being used but actually being used and working perfectly. For the bugs related to graphic problems, reporting users were asked to report separate bugs. If you want to get attention to your bug it is better that you open a specific bug on your issue, attaching all the relevant information for your system, by entering from a terminal or with ALT F2 "ubuntu-bug nvidia-common", or if you believe it is a Unity bug, "ubuntu-bug unity". Doing that you will have a much larger chance that your bug is paid the right attention, here it will be overlooked for sure as this was a different problem than yours. If you have duplicated already a bug with this one, just unduplicate it, or as I said open a new one.

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Walter

OK, you're right, sorry for the rant, it's just I'm kind of exasperated, everyone here has finally 3d while I don't :(

My duplicate bug was: https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/774453 but I filed that while I was still running 11.04 and above all, the driver was reported as INSTALLED BUT NOT IN USE

Now, on the other hand it's INSTALLED AND IN USE

Should I file another report or just unduplicate the previous one?

Thanks for your help

Regards

Revision history for this message
Linuxexperte (andrea-koeth) wrote :

hi Alessandro,

I don't konw, what's wrong with your machine. I have tried Unity yesterday
and I get 3D there too. But there is also a Unity-Desktop available
that doesn't need 3D. So I think, that it is something different. Unity is
not to be blamed in my opinion. Because here, Unity works
with 3D. That seems to be something different

And in LinuxMint, there will be a fork of Gnome2 called MATE. They are
already implementing it and I hope, that it will be available
for you with the outcome of LinuxMint 12.

And here the driver is in Use too and runs fine. Also in Untiy. And so I
would recommend: open a new bugreport.

Greetings
Linuxexperte

Greetings
Linuxexperte

Am 10.11.2011, 19:33 Uhr, schrieb Alessandro Ceschini
<email address hidden>:

> Hi Andrea
>
> Wait. What you say would be true if the problem stemmed from the Nvidia
> drivers, but this seems not to be the case, the reality is that Unity is
> to be blamed, for the driver works well. I surfed many forums but they
> don't give me more pieces of information than I already have: usually
> everything revolves around installing drivers, forcing Unity start bla
> bla bla... I've already tried all that stuff and certainly I cannot say
> I didn't do something about that. Actually I've been trying everything.
> To no avail.
>
> So why doesn't the bug team tell me they won't just solve that UNITY
> bug, it's Unity the problem, not the nvidia-driver, otherwise the
> control panel wouldn't tell me that the driver is IN USE.
>
> When the nvidia-driver was buggy it used to tell me it was NOT IN USE.
> But now the situation has changed: it's IN USE.
>
> Would someone please take notice, that I've got a problem with UNITY NOT
> WITH NVIDIA-DRIVERS?
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Revision history for this message
Walter Garcia-Fontes (walter-garcia) wrote :

@Alessandro, it is better if you file a new bug report.

Revision history for this message
Alessandro Ceschini (alessandroceschini-it) wrote :

Hi Andrea and Walter

Thanks for your very precious help.

I opened this new bug report: https://bugs.launchpad.net/ubuntu/+source/unity/+bug/889022

Greetings

Revision history for this message
heroandtn3 (heroandtn3) wrote :

Confirm, i have same problem

$ dpkg -l | grep jockey
ii jockey-common 0.9.7-0ubuntu7.4 user interface and desktop integration for driver management
ii jockey-gtk 0.9.7-0ubuntu7.4 GNOME user interface and desktop integration for driver management

$ jockey-text -l
kmod:nvidia_current - NVIDIA binary Xorg driver, kernel module and VDPAU library (Free, Disabled, Not in use)
kmod:nvidia_current_updates - nvidia_current_updates (Proprietary, Enabled, Not in use)
kmod:nvidia_experimental_304 - Experimental NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)
kmod:nvidia_experimental_310 - Experimental NVIDIA binary Xorg driver, kernel module and VDPAU library (Proprietary, Disabled, Not in use)

01:00.0 VGA compatible controller: NVIDIA Corporation Device 1058 (rev a1) (prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. Device 1652
 Flags: bus master, fast devsel, latency 0, IRQ 16
 Memory at db000000 (32-bit, non-prefetchable) [size=16M]
 Memory at c0000000 (64-bit, prefetchable) [size=128M]
 Memory at c8000000 (64-bit, prefetchable) [size=32M]
 I/O ports at d000 [size=128]
 Expansion ROM at dc000000 [disabled] [size=512K]
 Capabilities: <access denied>
 Kernel driver in use: nvidia
 Kernel modules: nvidia_current_updates, nouveau, nvidiafb

$ dpkg -l | grep nvidia
ii nvidia-current-updates 304.43-0ubuntu0.1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings-updates 304.43-0ubuntu0.2 Tool of configuring the NVIDIA graphics driver

To post a comment you must log in.